Это руководство написано на XML с использованием DocBook XML DTD, DSSSL (Document Style and Semantics Specification Language) для форматирования и (экспериментально) XSLT (Extensible Stylesheet Language Transformations) в целях поддержки и форматирования.
Использование XML в качестве единственного исходного формата позволяет нам создавать документацию во многих форматах. Утилитами для форматирования форматов HTML и TeX являются Jade, написанная James Clark и The Modular DocBook Stylesheets написанная Norman Walsh. Для создания руководства в формате Windows HTML Help мы используем Microsoft HTML Help Workshop и, конечно, собственно PHP для дополнительных преобразований и форматирования.
Вы можете загрузить руководство на многих языках и во многих форматах, включая обычный текст, обычный HTML, PDF, PalmPilot DOC, PalmPilot iSilo и Windows HTML Help, обратившись по адресу http: / /www.php.net / docs.php. Материалы, предназначенные для загрузки, обновляются автоматически по мере обновления исходного текста.
Пред.
Приложение K. Об этом руководстве
Существуют три способа, чтобы помочь нам в улучшении документации.
Замечание: Пожалуйста, не используйте систему сообщения об ошибках для того, чтобы получить помощь какого-либо рода. Вместо этого пользуйтесь списками рассылки или сайтами сообщества PHP, упомянутыми выше.
Пред.
Руководство по PHP доступно в нескольких форматах. Эти форматы могут быть разделены на две группы: форматы для чтения в онлайн и форматы, доступные для загрузки.
Замечание: Некоторые издательства выпустили печатные версии этого руководства. Однако, мы не рекомендуем пользоваться ими вследствие их быстрого устаревания.
Вы можете пользоваться руководством в он-лайн по адресу http: / /www.php.net /, а также на многочисленных сайтах-зеркалах. Чтобы обеспечить наиболее высокую скорость загрузки, вам нужно выбрать ближайший к вам сайт-зеркало. Вы можете пользоваться руководством в виде обычного HTML (готового для распечатки) или же в виде, предлагающем оформление самого сайта PHP.
Преимуществом он-лайн руководства над большинством офф-лайн форматов является интеграция с замечаниями пользователей. Очевидным недостатком является то, что вам нужно находиться в он-лайне, чтобы пользоваться руководством в он-лайн форматах.
Наиболее кросс-платформенными форматами этого руководства являются формат HTML и формат обычного текста. Формат HTML доступен как в виде одного HTML-файла, так и в виде архива, содержащего несколько тысяч файлов, каждый из которых является отдельной главой руководства. Форматы HTML и обычного текста доступны в качестве файлов tar, упакованных архиватором bzip2.
Замечание: Если у вас еще нет программы для просмотра формата PDF, вам нужно будет загрузить Adobe Acrobat Reader.
Для владельцев Palm-совместимых компьютеров идеально подойдут форматы руководства Palm document и iSilo. Вы можете захватить с собой ваш Palm, например, на совещание и использовать программу чтения форматов DOC или iSilo как удобный справочник или чтобы просто освежить в памяти какие-либо сведения о PHP.
На платформах Windows доступна версия руководства в формате HTML, который может быть просмотрен с помощью приложения Windows HTML Help. Эта версия предусматривает поиск по тексту руководства, полный список тем и поддержку использования закладок. Многие среды разработки PHP-программ в Windows также используют эту версию для легкости доступа.
Пред.
О заметках пользователей
Это руководство не пытается охватить вопросы общего программирования. Если вы являетесь новичком или даже начинающим программистом, написание PHP-программ может показаться вам трудным, если вы будете использовать только это руководство. Вам, скорее всего, может понадобиться материал, более подходящий для начинающих. По адресу http: / /www.php.net / books.php вы можете найти список книг по теме PHP.
Пред.
Заметки пользователей играют большую роль в процессе создания этого руководства. Позволяя читателям высылать нам примеры, выявленные опечатки и другие сведения с помощью их броузеров, мы имеем возможность добавить эти замечания в текст руководства. Пока замечания пользователей не были добавлены в руководство, с ними можно ознакомиться в он-лайн и в некоторых офф-лайн форматах.
Пред.
Этот список соответствует PHP версии 4.0.6.
Псевдоним
Многобайтовые строки
Пример 2.
Уровень выше
Пример 1. dir() example
Пред.
При использовании модуля Apache можно изменить настройки с помощью директив файлов конфигурации Apache httpd.conf) и .htaccess (для этого понадобятся привилегии "AllowOverride Options "или "AllowOverride All").
В PHP 4.0 есть несколько директив Apache, которые позволяют вам менять конфигурацию PHP из файлов конфигурации Apache.
Устанавливает значение указанной директивы. Может быть использована только для директив типа PHP_INI_ALL и PHP_INI_PERDIR. Для очистки значения задайте none.
Устанавливает значение указанной директивы. Эта директива НЕ МОЖЕТ быть использована в файлах .htaccess. Любая директива, заданная с помощью php_admin_value, не может быть переопределена в файлах .htaccess.
Пример 4-2. Пример конфигурации Apache
При использовании других интерфейсов PHP
Таблица 4-1. Определение констант PHP_INI_*
Значение может изменяться в программе пользователя
Значение может быть задано в php.ini, .htaccess или httpd.conf
Значения конфигурационных директив можно посмотреть в выводе функции phpinfo(). Также можно получит доступ к данным значениям с использованием ini_get() или get_cfg_var().
Глава 4. Конфигурация
Configuration directives
Таблица 4-3.
Замечание:
Таблица 4-4.
Таблица 4-5.
Paths and Directories
Ð¢Ð°Ð±Ð»Ð¸ÑÐ° 4-6.
ÐÑÐ¸Ð¼ÐµÑ 4-4.
ÐÐ°Ð¼ÐµÑÐ°Ð½Ð¸Ðµ:
Ð¢Ð°Ð±Ð»Ð¸ÑÐ° 4-7.
Ð¢Ð°Ð±Ð»Ð¸ÑÐ° 4-8.
Debugger Configuration Directives
ÐÑÐµÐ´.
Ð£ÑÐ¾Ð²ÐµÐ½Ñ Ð²ÑÑÐµ
Файл конфигурации (называющийся php3.ini в PHP 3.0, и просто php.ini в PHP 4.0) читается каждый раз при запуске PHP. При использовании PHP в виде модуля для Web-сервера, это происходит лишь один раз при запуске сервера. Для версий CGI и CLI, это происходи при каждом пуске.
Здесь не описывается каждая директива PHP в отдельности. Для полного списка всех директив смотрите хорошо документированный файл php.ini. Можно посмотреть php.ini последней версии в CVS.
Пример 4-1. Пример php.ini
Как изменить конфигурацию
Пред.
Пред.
Ticks
Пример 12-1.
Начало
Пред.
Начало
Начало
Руководство по PHP
Авторские права © Copyright 1997, 1998, 1999, 2000, 2001, 2002 принадлежат Группе Документирования PHP. Члены этой группы перечислены на первой странице руководства.
Данное руководство может распространяться на условиях лицензии GNU General Public License, опубликованной Free Software Foundation; подразумевается 2 версия лицензии или (на ваше усмотрение) любая более поздняя версия.
Начало
PHP 3 имеет поддержку сетевого отладчика.
Zend IDE имеет встроенный отладчик, кроме того, существует несколько свободно распространяемых расширений для отладки, например, DBG, находящееся по адресу http: / /dd.cron.ru / dbg / или Advanced PHP Debugger (APD).
PHP 3 имеет возможность одновременной посылки строк, предназначенных для разных сообщений.
Каждая строка имеет следующий формат:
Дата в формате ISO 8601 (гггг - мм - чч)
Время с указанием микросекунд: чч: мм: мсмсмс
Имя DNS или IP адрес хоста, на котором возникла ошибка при выполнении скрипта.
PID (идентификатор процесса) на хосте, в процессе работы которого возникла ошибка в скрипте PHP 3.
Тип строки. Сообщает принимающей программе, как та должна интерпретировать последующие данные:
Таблица D-1. Типы строк отладчика
Данные в строке.
Таблица D-2. Типы ошибок отладчика
Пример D-1. Пример отладочного сообщения
Уровень выше
Встроенный в PHP 3 отладчик бывает полезным для отслеживания скрытых ошибок. Отладчик начинает работать на порту TCP каждый раз, когда запускается PHP. Все сообщения об ошибках отсылаются по TCP соединению. Эта информация предназначается для "сервера отладки", который может работать как в IDE, так и в программируемом редакторе (таком, как Emacs).
Как настроить отладчик:
Настройте на этот порт TCP listener (например, так: socket -l -s 1400 для платформ UNIX).
Пред.
Протокол отладчика
A nice introduction to PHP by Stig Sжther Bakken can be found here on the Zend website.
Замечание:
Замечание:
Замечание:
Пред.
Пред.
Уровень выше
Замечание:
Замечание:
Таблица 23-1.
Замечание:
Таблица 23-3.
Пред.
Замечание:
Пример 18-1.
Внимание
Пример 16-1.
Замечание:
Замечание:
The Windows versions of PHP earlier than PHP 4.3 did not support remote file accessing for the following functions: include(), include_once(), require(), require_once(), and the imagecreatefromXXX functions in the Ссылка XLI, Image functions extension.
Пример 19-1.
Замечание:
Проверяет, имеют ли файлы / каталоги, с которыми вы собираетесь работать, такой же UID, как и выполняемый скрипт.
Замечание:
Пример 1. abs() example
Пред.
Замечание: Для Windows-платформ эта функция не реализована.
Начало
Пред.
Пред.
Пример 1. addcslashes() example
Пред.
Уровень выше
Пред.
Пример 1.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Эта функция также недоступна на многопоточных версиях Apache, например, для платформ Windows.
Пред.
Эта функция осущестслвяет частичный запрос на указанный URI и, проведя анализ полученных данных, возвращает их в классе. Свойствами возвращаемого класса являются:
Пред.
Пред.
Функция apache_request_headers() возвращает ассоциативный массив, содержащий все заголовки текущего HTTP запроса. Эта функция доступна только в том случае, если PHP работает в качестве модуля Apache.
Пример 1. Пример использования apache_request_headers()
Пред.
Возвращает массив, содержащий все заголовки ответа Apache. Эта функция доступна только для версий PHP = 4.3.0.
Пред.
Пред.
CASE_UPPER и CASE_LOWER. По умолчанию используется CASE_LOWER. Эта функция не изменяет ключи, состоящие из чисел.
Пример 1. Пример использования array_change_key_case()
Результатом выполнения вышеприведенной программы будет:
Если вы передадите значение TRUE в качестве необязательного параметра preserve_keys, PHP сохранит ключи из исходного массива. Если значение этого параметра равно FALSE, элементы результирующих массивов будут проиндексированы числами, начиная с нуля. По умолчанию используется значение FALSE.
Пример 1. Пример использования array_chunk()
Результатом выполнения вышеприведенной программы будет:
Начало
Уровень выше
Пример 1. Пример использования array_count_values()
Результатом вышеприведенной программы будет:
Пред.
Пример 1. array_diff_assoc() example
Пример 1. Пример использования array_diff()
Замечание: Два элемента считаются одинаковыми если и только если (string) $elem1 === (string) $elem2. Другими словами, когда их строковое представление идентично.
Внимание
Пред.
Уровень выше
Пример 1. Пример использования array_fill()
Переменная $a теперь содержит следующие значения (вывод функции print_r()):
Уровень выше
function odd( $var) {return ($var% 2 == 1);} function even($var) {return ($var% 2 == 0);} $array1 = array ("a"= 1, "b"= 2, "c"= 3, "d"= 4, "e"= 5); $array2 = array (6, 7, 8, 9, 10, 11, 12); echo "Нечетные :\n"; print_r(array_filter($array1, "odd")); echo "Четные :\n"; print_r(array_filter($array2, "even"));
Нечетные:
Array ([a] = 1 [c] = 3 [e] = 5) Четные:
Пользователи не должны изменять массив в результате его обработки функцией обратного вызова, например, добавлять или удалять элемент или обнулять массив, обрабатываемый функцией array_filter(). Если массив подвергается изменениям, поведение этой функции становится неопределенным.
Пред.
Обратите внимание, что значения массива исходный_массив должны быть корректными ключами, то есть они должны иметь тип целое или строка. Если значение имеет неверный тип, будет выдано предупреждение и пара ключ / значение не будет обработана.
Функция array_flip() возвращает FALSE, если обработка массива вызвала ошибку.
Пример 2. Пример использования array_flip(): многократное повторение значения
теперь $trans содержит:
Пред.
Уровень выше
Пример 1. array() example
Пример 2.
Пред.
Уровень выше
Пример 1. array_intersect_assoc() example
Функция array_intersect() возвращает массив, содержащий значения массива массив_1, которые содержат все перечисленные в аргументах массивы. Обратите внимание, что ключи сохраняются.
Пример 1. Пример использования array_intersect()
В результате выполнения переменная $result будет содержать
Внимание
Пред.
Уровень выше
Пример 1. Пример использования array_key_exists()
См.также isset().
Начало
Уровень выше
Функция array_keys() возвращает числовые и строковые ключи, содержащиеся в массиве исходный_массив.
Пример 1. Пример использования array_keys()
Результатом выполнения вышеприведенной программы будет:
Замечание: Эта функция появилась в PHP 4. Ниже приведен ее эквивалент для PHP 3.
Пример 2. Эквивалент функции array_keys() в PHP 3
Пред.
Пример 1. Пример использования array_map()
В результате переменная $b будет содержать:
Пример 2. Пример использования array_map(): обработка нескольких массивов
Обычно при обработке двух или более массивов, они имею одинаковую длину, так как функция обратного вызова применяется параллельно к соответствующим элементам массивов. Если массивы имеют различную длину, самый маленький из них дополняется элементами с пустыми значениями.
Пример 3. Создание массива массивов
Результатом выполнения вышеприведенной программы будет:
Пред.
Уровень выше
Если входные массивы имеют одинаковые строковые ключи, тогда значения, соответствующие этим ключам, рекурсивно сливаются в один массив, таким образом, если одно из значений является массивом, функция сливает его с соответствующим значением в другом массиве. Однако, если массивы имеют одинаковые числовые ключи, значение, упомянутое последним, не заменит исходное значение, а будет слито с ним.
Пример 1. Пример использования array_merge()
Пример 2. Пример простого использования array_merge()
Не забывайте, что числовые ключи будут перенумерованы!
Если вы хотите полностью сохранить массивы и просто слить их вместе, используйте оператор +:
См.также array_merge_recursive().
Если входные массивы имеют одинаковые строковые ключи, тогда значения, соответствующие этим ключам, рекурсивно сливаются в один массив, таким образом, если одно из значений является массивом, функция сливает его с соответствующим значением в другом массиве. Однако, если массивы имеют одинаковые числовые ключи, значение, упомянутое последним, не заменит исходное значение, а будет слито с ним.
Пример 1. Пример использования array_merge_recursive()
Переменная $result будет содержать:
См.также array_merge().
Уровень выше
Функция array_multisort() может быть использована для сортировки сразу нескольких массивов или одного многомерного массива в соответствии с одной или несколькими размерностями. Эта функция сохраняет соответствие между ключами и соответствующими им значениями.
Входные массивы рассматриваются как столбцы таблицы, которую нужно отсортировать по строкам - такой подход напоминает поведение выражения SQL ORDER BY. Первый массив имеет проиоритет в процессе сортировки.
Значения, определяющие порядок сортировки:
SORT_ASC - сортировать в возрастающем порядке
SORT_DESC - сортировать в убывающем порядке
SORT_REGULAR - сравнивать элементы обычным образом
SORT_NUMERIC - сравнивать элементы, как если бы они были числами
SORT_STRING - сравнивать элементы, как если бы они были строками
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. Сортировка нескольких массивов
В вышеприведенном примере, после того, как будет осуществлена сортировка, первый массив будет содержать 10, "a", 100, 100. Второй - 1, 1, "2", 3. Элементы второго массива, соответствующие идентичным элементам первого (100 и 100), также будут отсортированы.
Пример 2. Сортировка многомерного массива
Пред.
След.
Уровень выше
Пред.
$input = array (12, 10, 9); $result = array_pad ($input, 5, 0); / / результат: array (12, 10, 9, 0, 0) $result = array_pad ($input, -7, -1); / / результат: array (-1, -1, -1, -1, 12, 10, 9) $result = array_pad ($input, 2, "noop"); / / операция не произведена
Уровень выше
Пред.
Пример 1. array_pop() example
Эта функция может возвращать как логическое значение FALSE, так и не относящееся к логическому типу значение, которое может являться значением FALSE, например, 0 или "". За более подробной информации обратитесь к разделу Логические типы. Используйте оператор === для проверки значения, возвращаемого этой функцией.
Пред.
Пример 1. array_push() example
Уровень выше
Пример 1. array_reduce() example
Пред.
Пример 1. array_reverse() example
Пред.
Замечание:
Эта функция может возвращать как логическое значение FALSE, так и не относящееся к логическому типу значение, которое может являться значением FALSE, например, 0 или "". За более подробной информации обратитесь к разделу Логические типы. Используйте оператор === для проверки значения, возвращаемого этой функцией.
Пред.
Пример 1. array_shift() example
Пред.
Уровень выше
Пример 1. array_splice() examples
Пред.
Уровень выше
Пример 1. array_sum() examples
Пред.
Внимание
Пример 1. array_unique() example
Пример 2. array_unique() and types
Пред.
Пример 1. array_unshift() example
Пример 1. array_values() example
Замечание:
Пред.
Уровень выше
Пример 1. array_walk() example
Пред.
Пример 1. arsort() example
Начало
Функция ascii2ebcdic() предназначена для использования с сервером Apache и доступна только на операционных системах, основанных на стандарте EBCDIC (OS / 390, BS2000). Эта функция преобразует ASCII-строку ascii_строка в ее эквивалентное представление в формате EBCDIC (безопасна для использования с двоичными данными) и возвращает резальтат.
Пред.
Пред.
Замечание: Для Windows-платформ эта функция не реализована.
Начало
Пред.
Пред.
Пред.
Пример 1. asort() example
Начало
Пример 1. aspell_check()
Уровень выше
Пример 1. aspell_check_raw()
Пред.
Пример 1. aspell_new()
Пример 1. aspell_suggest()
Уровень выше
Пред.
Уровень выше
Таблица 1.
Начало
Пред.
Замечание: Для Windows-платформ эта функция не реализована.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Уровень выше
Пример 1. base_convert()
Пример 1. basename() example
Замечание:
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Начало
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Пример 1. bzcompress() Example
Пример 1. bzdecompress()
Пред.
Пред.
Пример 1. bzerror() Example
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Пример 1. bzopen() Example
Пред.
Уровень выше
Пример 1. bzread() Example
Пред.
Пример 1. bzwrite() Example
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Object methods may also be invoked statically using this function by passing array( $objectname, $methodname) to the function parameter.
?php class myclass {function say_hello() {print "Hello!\n";}} $classname = "myclass"; call_user_func(array($classname ,'say_hello'));?
Внимание
Замечание:
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. ceil() example
Пред.
Changes PHP 's current directory to directory. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки..
Уровень выше
Замечание:
Замечание:
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Начало
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
chop - - Alias of rtrim()
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Начало
Уровень выше
Пред.
chr
Description
Пример 1. chr() example
Замечание:
Пример 1. chunk_split() example
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. compact() example
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. constant() example
Пример 1. copy() example
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Внимание
Пример 1. count() example
Замечание:
Пред.
Уровень выше
Пример 1.
Уровень выше
Пред.
Начало
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1.
Начало
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Уровень выше
Замечание:
Пример 1.
Пример 2.
Пред.
Замечание:
Пример 1. crypt() examples
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Таблица 1.
Пример 1. date() examples
Пример 3. date() and mktime() example
Замечание:
Пример 4. date() Formatting
Пред.
Уровень выше
Начало
Уровень выше
Пред.
dba_delete
Description
Пред.
Пред.
dba_exists
Description
Пред.
Замечание:
Пред.
Уровень выше
Пред.
Пред.
След.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пример 1.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание: Когда опция safe mode включена, PHP проверяет, имеют ли файлы / каталоги, с которыми вы собираетесь работать, такой же UID, как и выполняемый скрипт.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пример 1. dbx_close() example
Замечание:
Начало
Уровень выше
Пример 1. dbx_compare() example
Пред.
Уровень выше
Пример 1. dbx_connect() example
Замечание:
Пред.
Уровень выше
Пример 1. dbx_error() example
Замечание:
Пред.
Пример 1. dbx_escape_string() example
Пред.
Пример 3. outputs the content of data property into HTML table
Замечание:
Пример 1. dbx_sort() example
Пред.
Уровень выше
Пред.
Пред.
Таблица 1.
Пример 1. debug_backtrace() example
Уровень выше
Пред.
Пред.
Пример 1.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
След.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
След.
Уровень выше
Начало
След.
Уровень выше
Пример 1.
Замечание:
Начало
Уровень выше
Пред.
Уровень выше
Пример 1. disk_free_space() example
Пред.
Пример 1. disk_total_space() example
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Замечание:
Замечание:
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пример 2.
Пример 3.
Пред.
Пред.
Пред.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Уровень выше
Пред.
Уровень выше
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пример 1.
Пред.
Пример 1.
Пред.
Пример 1.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
doubleval - - Alias of floatval()
Пред.
Пример 1. each() examples
Пример 2.
Пример 1. easter_date() example
Функция ebcdic2ascii() предназначена для использования с сервером Apache и доступна только в операционных системах, основанных на стандарте EBCDIC (OS / 390, BS2000). Эта функция преобразует строку в формате EBCDIC ebcdic_строка в ее эквивалетное представление в формате ASCII (безопасна для использования с двоичными данными) и возвращает результат.
Пред.
Замечание:
Пред.
Пред.
Пред.
Пред.
Пример 1.
Пред.
Замечание:
Начало
Уровень выше
Пред.
Пример 1. eregi() example
Пред.
Пред.
Пример 1. ereg_replace() Example
Пример 2. ereg_replace() Example
Пример 3.
Начало
След.
Уровень выше
Пример 1. error_log() examples
Пример 1. error_reporting() examples
Таблица 1. error_reporting() level constants and bit values
Пред.
Пред.
Пред.
Пример 1. eval() example - simple text merge
Подсказка: Как и с любой другой функцией, осуществляющей вывод непосредственно в броузер, вы можете использовать функции контроля вывода, чтобы перехватывать выводимые этой функцией данные и сохранять их, например, в строковой переменной.
Замечание:
Уровень выше
Замечание:
Пред.
Уровень выше
Пример 1. exif_read_data() example
Also the size of an embedded thumbnail is returned in THUMBNAIL subarray and the function exif_read_data() can return thumbnails in TIFF format.
Замечание:
Пример 1. exif_thumbnail() example
Замечание:
Замечание:
Замечание:
Пример 1. exit() example
Пред.
Уровень выше
Пред.
Замечание:
Пример 1. explode() examples
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Пример 1. extract() example
Начало
Пример 1.
Уровень выше
Замечание:
Замечание:
Уровень выше
Пример 1. fbsql_close() example
Пред.
Уровень выше
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. fbsql_connect() example
Начало
Уровень выше
Пример 1. fbsql_create_blob() example
Пред.
Пример 1. fbsql_create_clob() example
Пред.
Пример 1. fbsql_create_db() example
Пред.
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Пред.
fbsql_db_status
Description
Уровень выше
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Пример 1. fbsql_fetch_array() example
Уровень выше
Пред.
Пример 1. fbsql_fetch_assoc() example
Уровень выше
След.
Уровень выше
Уровень выше
Пример 1. fbsql_fetch_object() example
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пример 1. fbsql_field_name() example
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Замечание:
Пример 1. fbsql_list_dbs() example
Пред.
Пример 1. fbsql_list_fields() example
Уровень выше
Пред.
Начало
Уровень выше
Пред.
Пред.
Пред.
Замечание:
Пример 1. fbsql_query() example
Пример 2. fbsql_query() example
Пред.
Пример 1. fbsql_read_blob() example
Пред.
Пример 1. fbsql_read_clob() example
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Пред.
fbsql_stop_db
Description
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
%FDF-1.2 %вгПУ 1 0 obj / FDF / JavaScript / Doc [(PlusOne)(function PlusOne\(x\)\r{\r return x+1;\r}\r)] endobj trailer / Root 1 0 R %%EOF
Пред.
Уровень выше
Пример 1.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Уровень выше
Пример 1.
Пред.
Уровень выше
Начало
Уровень выше
Уровень выше
Пример 1.
%FDF-1.2 %вгПУ 1 0 obj / FDF / Fields 2 0 R endobj 2 0 obj [/ T (foo) / V (bar)] endobj trailer / Root 1 0 R %%EOF
Пред.
Пред.
Уровень выше
Уровень выше
Уровень выше
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
Замечание:
Пред.
Замечание:
Пред.
Пред.
След.
Уровень выше
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
Замечание:
Пред.
Замечание:
Замечание:
Пред.
Пред.
Начало
Пример 1. filemtime() example
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание: Когда опция safe mode включена, PHP проверяет, имеют ли файлы / каталоги, с которыми вы собираетесь работать, такой же UID, как и выполняемый скрипт.
Пред.
Замечание: Когда опция safe mode включена, PHP проверяет, имеют ли файлы / каталоги, с которыми вы собираетесь работать, такой же UID, как и выполняемый скрипт.
Пред.
Пред.
Пред.
Пред.
Замечание:
Внимание
Пред.
Уровень выше
Пред.
Пример 1. floor() example
Пред.
Пред.
Пред.
Пример 1.
Пред.
The list of supported protocols can be found in Прил. I
Пример 1. fopen() example
Пред.
Пред.
Пример 2. sprintf(): formatting currency
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пример 1. fscanf() Example
Пред.
Замечание:
Пред.
Замечание:
Пред.
Начало
Уровень выше
Пред.
Начало
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Замечание:
Пред.
ftp_fget() retrieves remote_file from the FTP server, and writes it to the given file pointer, handle.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
ftp_fput() uploads the data from the file pointer handle ftp_fput() uploads the data from the file pointer handle until the end of the file is reached.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Замечание:
Пример 1. ftp_get_option() example
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Пред.
Пред.
Пред.
ftp_nb_fget() retrieves remote_file from the FTP server, and writes it to the given file pointer, handle.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
ftp_nb_fput() uploads the data from the file pointer handle until it reaches the end of the file.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. ftp_nb_get() example
Пример 2.
Пример 3.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 2.
Начало
Уровень выше
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. ftp_put() example
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. ftp_set_option() example
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Замечание:
Замечание:
Пред.
Уровень выше
Checks the list of defined functions, both built-in (internal) and user-defined, for function_name. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Замечание:
Пред.
Таблица 1.
Пред.
Функция getallheaders() является псевдонимом для функции apache_request_headers(). Эта функция возвращает ассоциативный массив, содержащий все заголовки текущего HTTP-запроса. Для получения более подробных сведений о работе этой функции обратитесь к описанию функции apache_request_headers().
См.также apache_request_headers().
Уровень выше
Замечание:
Пред.
Пред.
Пред.
Замечание:
Пример 1. get_class_methods() example
Пред.
Уровень выше
Пример 1. get_class_vars() example
Пред.
Пред.
Пред.
Пример 1. getdate() example
Пред.
След.
Уровень выше
Замечание:
Пред.
Пред.
Пред.
Замечание:
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
$trans = get_html_translation_table( HTML_ENTITIES); $str = "Hallo Frau Krдmer"; $encoded = strtr($str, $trans);
Пример 4. getimagesize() returning IPTC
Замечание:
Пример 1. get_included_files() Example
Замечание:
Пред.
Пред.
Уровень выше
Замечание:
Пред.
Пример 1.
Замечание:
Пред.
Пред.
Пред.
Пред.
Внимание
Пред.
Пред.
Замечание:
Пред.
Замечание:
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пример 1.
Уровень выше
Уровень выше
Уровень выше
Начало
Уровень выше
Внимание
Пред.
Уровень выше
Пред.
След.
Уровень выше
Пример 1. gmdate() example
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Начало
Пред.
Уровень выше
Уровень выше
Пред.
Замечание:
Внимание
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пример 1. gmstrftime() example
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Уровень выше
Пример 1.
Пред.
Пред.
Начало
Начало
Начало
Замечание:
Начало
Пред.
Пример 1. gzopen() Example
Начало
След.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пример 1. hexdec() example
Замечание:
Замечание:
Пред.
Замечание:
Начало
Уровень выше
Пример 1.
Замечание:
Пред.
Пример 1. htmlspecialchars() example
Уровень выше
Пред.
Уровень выше
Уровень выше
Уровень выше
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пример 1.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Начало
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Начало
След.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. modifying an attribute
Пример 2. adding a completely new attribute
Замечание:
Пример 3. modifying Title attribute
Пример 4. modifying Title attribute
Пример 5. removing attribute
Пред.
Пред.
Пред.
Пред.
Пред.
Начало
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. ibase_connect() example
Замечание:
Замечание:
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Пример 1. iconv_get_encoding() example:
Пред.
Пример 1. iconv() example:
It changes the value of type to charset. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. iconv_set_encoding() example:
Начало
Уровень выше
Пред.
Пример 1.
Уровень выше
Начало
Уровень выше
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
ifx_error
Description
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пример 1.
Пред.
Пред.
Уровень выше
Пред.
Пример 2.
Начало
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Замечание:
Пред.
Уровень выше
Пред.
Пред.
Замечание:
Пред.
Пред.
Пред.
Замечание:
Пред.
Уровень выше
Пред.
Пред.
Пред.
Замечание:
Замечание:
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
Замечание:
Пред.
Пример 1.
Замечание:
Замечание:
Пред.
Замечание:
Пред.
Уровень выше
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Замечание:
Замечание:
Пред.
Пред.
Пример 1. imagesetstyle() example
Замечание:
Пред.
Уровень выше
Замечание:
Пред.
Замечание:
Замечание:
Пред.
Пред.
Пред.
Уровень выше
Замечание:
Пред.
Пред.
Пример 1. imagettftext() example
Пред.
След.
Уровень выше
Пример 1. imagetypes
Пред.
Пример 1. image_type_to_mime_type (file)
Пред.
Уровень выше
Пример 1. imap_append() example
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Начало
След.
Уровень выше
Уровень выше
Пример 1. imap_createmailbox() example
Уровень выше
Замечание:
Пример 1. imap_delete() Beispiel
Уровень выше
Пред.
Уровень выше
Начало
Уровень выше
Пример 1. imap_fetch_overview() example
Начало
След.
Уровень выше
Таблица 1.
Таблица 2.
Таблица 3.
Пред.
Уровень выше
Пример 1. imap_getmailboxes() example
Пред.
Уровень выше
Пример 1. imap_get_quota() example
Пример 2. imap_get_quota() 4.3 or greater example
Пример 1. imap_get_quotaroot() example
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Таблица 1.
Пример 1. imap_mailboxmsginfo() example
Пример 1. imap_mail_compose() example
Пред.
Пред.
Уровень выше
Начало
Уровень выше
Пример 1. imap_mime_header_decode() example
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
imap_reopen
Description
Уровень выше
Пример 1. imap_rfc822_parse_adrlist() example
Начало
Уровень выше
Пред.
Пример 1. imap_rfc822_write_address() example
Пред.
Пред.
Начало
След.
Уровень выше
Пред.
Пример 1. imap_setflag_full() example
Пред.
Уровень выше
Пример 1. imap_set_quota() example
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пример 1. imap_status() example
Начало
След.
Уровень выше
Пред.
Пред.
Замечание:
Уровень выше
Пред.
Пред.
Пред.
Пример 1. implode() example
Пред.
Пред.
Пред.
Пример 2. in_array() with strict example
Пример 3. in_array() with an array as needle
Пред.
Уровень выше
If "URL fopen wrappers" are enabled in PHP (which they are in the default configuration), you can specify the file to be included using an URL (via HTTP or other supported wrapper - see Прил. I
Пример 12-6. include() and conditional blocks
Замечание:
Пример 12-7. include() and the return() statement
Пред.
Замечание:
Пример 12-9. include_once() is case sensitive
Внимание
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. ingres_connect() example
Пример 2. ingres_connect() example using default link
Начало
След.
Уровень выше
Пример 1. ingres_fetch_array() example
Пред.
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. ingres_fetch_object() example
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Начало
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Пред.
Замечание:
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
Пример 1. ip2long() Example
Пример 2.
Начало
Уровень выше
Пред.
Уровень выше
Замечание:
Пример 1. ircg_fetch_error_msg() example
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Уровень выше
Уровень выше
Уровень выше
Пред.
Уровень выше
Замечание:
Пред.
ircg_register_format_messages
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
is_double - - Alias of is_float()
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
is_integer - - Alias of is_int()
Замечание:
Пред.
Пред.
Уровень выше
is_long - - Alias of is_int()
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
is_real - - Alias of is_float()
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пример 1.
Уровень выше
Пред.
Таблица 1.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
Начало
Пример 1. krsort() example
Пред.
Пред.
Пример 1. ksort() example
Замечание:
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Начало
Уровень выше
Binds to the LDAP directory with specified RDN and password. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Внимание
Замечание:
Пред.
Уровень выше
Пример 2.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пример 1.
Пред.
Пример 1.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Sets retval to the value of the specified option. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Пред.
Уровень выше
Пред.
Пример 1.
Уровень выше
Пред.
Замечание:
Пред.
Замечание:
Замечание:
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
If the parameter deleteoldrdn is TRUE the old RDN value( s) is removed, else the old RDN value(s) is retained as non-distinguished values of the entry. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Sets the value of the specified option to be newval. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки. on error.
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Начало
Пред.
Уровень выше
Начало
Пример 1. list() examples
Пример 1. localeconv() example
Пред.
Начало
След.
Уровень выше
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Замечание:
Пред.
Начало
Начало
Уровень выше
Пред.
Замечание:
Пример 1.
Начало
Уровень выше
Замечание:
Замечание:
Замечание:
The to parameter cannot be an address in the form of "Something someone@example.com".
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Thus the behaviour of this function is not affected by locale settings and it can convert any characters that have 'alphabetic' property, such as A-umlaut (Д).
Пример 1. mb_convert_case() example
Пред.
След.
Уровень выше
Пред.
Уровень выше
Пример 1. mb_convert_variables() example
Уровень выше
Пред.
Пред.
Пример 1. mb_detect_encoding() example
Пред.
Уровень выше
Замечание:
Пример 1.
Пример 2. mb_detect_order() examples
Начало
След.
Уровень выше
Пример 1. mb_convert_kana() example
Пред.
След.
Уровень выше
Пример 1. convmap example
Пример 2. mb_encode_numericentity() example
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Начало
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Начало
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Уровень выше
Пример 1. mb_internal_encoding() example
Начало
Уровень выше
Пред.
Пример 1. mb_output_handler() example
Замечание:
Уровень выше
Начало
Уровень выше
Пример 1. mb_preferred_mime_string() example
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Начало
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Начало
Уровень выше
Уровень выше
Пример 1. mb_strimwidth() example
Пред.
Пред.
Пред.
Уровень выше
Пример 1. mb_strtolower() example
Начало
Уровень выше
Thus the behaviour of this function is not affected by locale settings and it can convert any characters that have 'alphabetic' property, such as a-umlaut (д).
Пример 1. mb_strtoupper() example
Пред.
Уровень выше
Пред.
Пример 1. mb_substitute_character() example
Уровень выше
Пред.
Пример 1. mb_substr_count() example
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Уровень выше
Уровень выше
Уровень выше
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
mcal_fetch_current_stream_event
Пред.
След.
Уровень выше
Пред.
mcal_fetch_event
Description
Начало
След.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
mcrypt_cbc
Description
Пред.
След.
Уровень выше
Пред.
mcrypt_cfb
Description
Начало
След.
Уровень выше
Уровень выше
Пред.
Пред.
mcrypt_ecb
Description
Начало
След.
Уровень выше
Пример 1. mcrypt_enc_get_algorithms_name() example
Пред.
Пред.
Пример 1. mcrypt_enc_get_modes_name() example
Пред.
Пример 1. mcrypt_encrypt() Example
Пред.
Уровень выше
Пример 1. mcrypt_get_block_size() example
Пред.
Пример 1. mcrypt_get_cipher_name() Example
Уровень выше
Пример 1. mcrypt_create_iv() example
Пред.
Пример 1. mcrypt_get_block_size() example
Пред.
Пред.
Пример 1. mcrypt_list_algorithms() Example
Пример 1. mcrypt_list_modes() Example
Пред.
Пред.
mcrypt_ofb
Description
Пред.
След.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Description
ÐÐ°ÑÐ°Ð»Ð¾
Пред.
ÐÑÐµÐ´.
Пример 1. mdecrypt_generic() Example
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пример 1. mhash_get_hash_name() example
Уровень выше
Пример 1. microtime() example
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. mktime() example
Пред.
Замечание:
Пример 1. money_format() Example
Пред.
Уровень выше
Начало
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Таблица 1.
Пред.
Уровень выше
Пред.
Уровень выше
Уровень выше
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
msql_dropdb - - Drop (delete) mSQL database
Пред.
Уровень выше
Начало
След.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
msql_freeresult - - Free result memory
Пред.
msql_listdbs - - List mSQL databases on server
msql_listfields - - List result fields
msql_listtables - - List tables in an mSQL database
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. msql_query()
Пред.
msql_regcase - - Make regular expression for case insensitive match
Пред.
msql_selectdb - - Select mSQL database
Пример 1. msql_tablename() example
Уровень выше
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Замечание: if the stored procedure returns parameters or a return value these will be available after the call to mssql_execute() Замечание: if the stored procedure returns parameters or a return value these will be available after the call to mssql_execute() unless the stored procedure returns more than one result set.
Уровень выше
Пред.
Пред.
Пред.
Пред.
След.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пример 1. mssql_next_result() example
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Уровень выше
If the new user and password authorization fails, the current connected user stays active. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. mysql_client_encoding() example
Пред.
Уровень выше
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Замечание:
Пример 1.
Начало
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Пример 1. mysql_db_name() example
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Пример 2. mysql_fetch_array with MYSQL_NUM
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пример 1. mysql_fetch_field()
Начало
След.
Уровень выше
Уровень выше
Пример 1. mysql_fetch_object() example
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пример 1. mysql_field_name() example
Начало
Уровень выше
Пред.
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. mysql_get_client_info Example
Пред.
Пред.
Пред.
Пример 1.
Уровень выше
Пример 1. mysql_insert_id Example
Пример 1. mysql_list_fields() example
Пример 1. mysql_list_processes() example
Пред.
Уровень выше
Пред.
Пример 1. mysql_num_rows() example
Замечание:
Пред.
Замечание:
Пред.
Пред.
Пример 2. mysql_query()
Пример 1. mysql_real_escape_string() example
Пред.
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. mysql_stat() example
Пред.
Пример 1. mysql_thread_id() example
Пред.
Уровень выше
Уровень выше
Пред.
Пример 1. natsort() example
Замечание:
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. ncurses_getmouse() example
Пред.
След.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
След.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
След.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Замечание:
Пример 1. number_format() Example
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Замечание:
Пред.
Пример 1. ob_iconv_handler() example:
Пред.
Уровень выше
Пример 1.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Уровень выше
Пример 1.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пример 1.
Пред.
Пример 1.
Пред.
Пред.
Уровень выше
Пример 1.
Пример 1.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пример 1.
Пред.
Уровень выше
Пред.
Уровень выше
Пример 1.
Пример 2.
Пример 1.
Пример 1.
Пред.
Уровень выше
Пример 1.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
OCIStatementType
Description
Пример 1.
Начало
След.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Таблица 1.
Замечание:
Замечание:
Замечание:
Пред.
odbc_columnprivileges
Description
Пред.
Пред.
odbc_columns
Description
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Executes a statement prepared with odbc_prepare() .Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пример 1. odbc_fetch_into() pre 4.0.6 example
Пример 2. odbc_fetch_into() 4.0.6 example
Пример 3. odbc_fetch_into() 4.2.0 example
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
odbc_foreignkeys
Description
Замечание:
Уровень выше
Замечание:
Пред.
Пред.
Замечание:
Пред.
Пред.
odbc_procedurecolumns
Description
Пред.
Пред.
odbc_procedures
Description
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
odbc_statistics
Description
Уровень выше
Пред.
odbc_tableprivileges
Description
Пред.
Пред.
odbc_tables
Description
Начало
Уровень выше
Пример 1. opendir() example
Таблица 1. openlog() Options
openssl_csr_export() takes the Certificate Signing Request represented by csr and stores it as ascii-armoured text into out, which is passed by reference. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
The optional notext affects the verbosity of the output; if it is FALSE then additional human-readable information is included in the output.
Пример 1. openssl_csr_new() example - creating a self-signed-certificate
Пример 1. openssl_csr_sign() example - signing a CSR (how to implement your own CA)
Description
Пример 1. openssl_error_string() example
Замечание:
Уровень выше
Пред.
Уровень выше
Description
Уровень выше
Description
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. openssl_open() example
Пред.
Уровень выше
Description
Пример 1. openssl_pkcs7_decrypt() example
Замечание:
Уровень выше
Description
Пример 1. openssl_pkcs7_encrypt() example
Пример 1. openssl_pkcs7_sign() example
Замечание:
Пред.
Уровень выше
Description
Замечание:
Уровень выше
Замечание:
See openssl_csr_new() for more information about configargs. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пример 1. openssl_seal() example
Пред.
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. openssl_sign() example
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. openssl_verify() example
Пред.
Уровень выше
Пред.
Уровень выше
Таблица 1. openssl_x509_checkpurpose() purposes
Уровень выше
If set to FALSE, additional human readable text will also be stored into output. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
If set to FALSE, additional human readable text will also be stored into the output file. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Замечание:
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Замечание:
Пред.
Уровень выше
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Замечание:
Пред.
Замечание:
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пример 1. ora_fetch_into()
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пример 1. ord() example
Пред.
Пред.
Пример 1. ovrimos_connect() Example
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1.
Пример 1.
Пример 2.
Уровень выше
Пред.
Пред.
Пред.
pack
Description
Пример 1. pack() format string
Пример 2. parse_ini_file() example
Начало
След.
Уровень выше
Пример 1.
Пред.
Внимание
Пример 1. pathinfo() Example
Замечание:
Пред.
Пред.
Уровень выше
Пред.
Пример 1. pcntl_fork() Example
Пред.
Замечание:
Замечание:
Таблица 1. possible values for pid
Таблица 2. possible values for options
Уровень выше
Пред.
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Уровень выше
pdf_add_annotation - - Deprecated:
Пред.
Пред.
Пред.
pdf_add_outline
Adds bookmark for current page
Пред.
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Таблица 1.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
pdf_endpath - - Deprecated:
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1. pdf_findfont() example
Уровень выше
Пред.
pdf_get_font - - Deprecated: font handling
Пред.
pdf_get_fontname - - Deprecated: font handling
Пред.
pdf_get_fontsize - - Deprecated: font handling
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1.
Пред.
pdf_open_gif - - Deprecated:
pdf_open - - Deprecated:
Уровень выше
pdf_open_jpeg - - Deprecated:
Пред.
Пример 1.
Пред.
Пред.
Пред.
Пред.
pdf_open_png - - Deprecated:
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
pdf_set_char_spacing - - Deprecated:
Пред.
Пред.
Пред.
Пред.
pdf_set_duration - - Deprecated:
Пред.
pdf_set_font - - Deprecated:
Уровень выше
Пред.
Замечание:
Замечание:
Пред.
Пред.
Замечание:
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
pdf_set_leading - - Deprecated:
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Замечание:
Пред.
Замечание:
pdf_set_text_matrix - - Deprecated:
Пред.
pdf_set_text_rendering
Determines how text is rendered
Пред.
pdf_set_text_rise - - Deprecated:
Пред.
pdf_set_word_spacing - - Depriciated:
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
Уровень выше
Пред.
Замечание:
Пример 1.
Уровень выше
Уровень выше
Пример 1. pg_affected_rows()
Замечание:
Пред.
Замечание:
Пред.
Пред.
It is useful for error recovery. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Замечание:
Уровень выше
It issues COPY FROM SQL command internally to insert records. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Замечание:
Пред.
Уровень выше
pg_end_copy() syncs the PostgreSQL frontend (usually a web server process) with the PostgreSQL server after doing a copy operation performed by pg_put_line(). pg_end_copy() must be issued, otherwise the PostgreSQL server may get out of sync with the frontend and will report an error. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Замечание:
Пример 1.
Уровень выше
Начало
Уровень выше
Уровень выше
Замечание:
Пример 1.
Замечание:
Пред.
Замечание:
But, if you are sure you are not going to need the result data anymore in a script, you may call pg_free_result() with the result resource as an argument and the associated result memory will be freed. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Пред.
Пример 1.
Начало
Уровень выше
Пред.
Пример 1. pg_insert
Замечание:
Пред.
Уровень выше
Замечание:
Уровень выше
Замечание:
Уровень выше
Замечание:
Замечание:
Внимание
Замечание:
Замечание:
Уровень выше
Уровень выше
pg_lo_unlink() deletes a large object with the oid. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Замечание:
Уровень выше
Замечание:
Пред.
Замечание:
Замечание:
Замечание:
Пред.
Пред.
Пред.
Пред.
След.
Уровень выше
Уровень выше
Пред.
That final NULL-character is added automatically. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1.
Уровень выше
Пред.
Пред.
Пред.
Пример 1. pg_select
Замечание:
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пример 1. pg_update
Замечание:
Пред.
Уровень выше
Пример 1. phpinfo() examples
Пред.
Пред.
Пример 1. php_sapi_name() Example
Пример 1. php_uname() Example
Уровень выше
Замечание:
Пример 1. phpversion() Example
Пред.
Замечание:
Пред.
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Замечание: Когда опция safe mode включена, PHP проверяет, имеет ли каталог, с которым вы собираетесь работать, такой же UID, как и выполняемый скрипт.
Пред.
Пред.
Пред.
posix_times
Description
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пример 1.
Начало
Пред.
Пример 1. preg_grep() example
Пример 1.
Пример 3.
Пример 1.
Пример 2.
Пред.
When working with a replacement pattern where a backreference is immediately followed by another number (i.e.: placing a literal number immediately after a matched pattern), you cannot use the familiar \\1 notation for your backreference. \\11, for example, would confuse preg_replace() since it does not know whether you want the \\1 backreference followed by a literal 1, or the \\11 backreference followed by nothing.
Замечание:
Пример 3.
Пред.
Пример 2.
Пример 3.
Пред.
Внимание
Начало
Пример 1. printer_abort() example
Уровень выше
Пример 1. printer_close() example
Уровень выше
Пред.
Пред.
Уровень выше
Пример 1. printer_create_dc() example
Уровень выше
Пред.
Пред.
След.
Уровень выше
Начало
След.
Уровень выше
Пример 1. printer_draw_bmp() example
Уровень выше
Пред.
printer_draw_chord
Description
Пример 1. printer_draw_chord() example
Начало
След.
Уровень выше
Пред.
Пример 1. printer_draw_elipse() example
Начало
Уровень выше
Пример 1. printer_draw_line() example
Уровень выше
Пред.
printer_draw_pie
Description
Пример 1. printer_draw_pie() example
Начало
След.
Уровень выше
Пред.
Пример 1. printer_draw_rectangle() example
Начало
Уровень выше
Пред.
Пример 1. printer_draw_roundrect() example
Начало
След.
Уровень выше
Пример 1. printer_draw_text() example
Уровень выше
Пример 1. printer_get_option() example
Уровень выше
Пред.
Пример 1. printer_list() example
Уровень выше
Пример 1. printer_logical_fontheight() example
Пред.
Пред.
Пример 1. printer_open() example
Уровень выше
Уровень выше
Пример 1. printer_select_font() example
Уровень выше
Уровень выше
Пред.
printer_set_option
Description
Пример 1. printer_set_option() example
Начало
След.
Уровень выше
Пример 1. printer_start_doc() example
Уровень выше
Пример 1. printer_write() example
Уровень выше
Пред.
Пред.
Outputs arg. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Пред.
Замечание:
Пред.
Замечание:
Замечание:
Пред.
Уровень выше
Пример 1. pspell_check()
Уровень выше
Пример 1. pspell_add_to_personal()
Уровень выше
Пример 1. pspell_config_create()
Пред.
Уровень выше
Пример 1. pspell_config_ignore()
Уровень выше
Пример 1. pspell_config_mode()
Пред.
Уровень выше
Пример 1. pspell_config_repl()
Пример 1. pspell_config_runtogether()
Пример 1. pspell_new_config()
Уровень выше
Пред.
Пример 1. pspell_new()
Уровень выше
Пример 1. pspell_new_personal()
Уровень выше
Уровень выше
Пример 1. pspell_store_replacement()
Пример 1. pspell_suggest()
Уровень выше
Внимание
Пример 1.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Начало
Пред.
Пред.
Замечание:
Пред.
Пример 1. rawurlencode() example 1
Пример 2. rawurlencode() example 2
Пред.
Description
Замечание:
Уровень выше
Пред.
Подсказка: Для этой функции вы можете использовать URL в качестве имени файла, если была включена опция "fopen wrappers". За более подробной информацией обратитесь к описанию функции fopen().
Пред.
След.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пример 1. readline()
Уровень выше
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пример 1. realpath() example
Уровень выше
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
В настоящее время версия PHP для Windows не поддерживает возможность использования удаленных файлов этой функцией даже в том случае, если включена опция allow_url_fopen.
Начало
Замечание:
Пример 12-8. require_once() is case sensitive
Внимание
Уровень выше
Пред.
Пред.
Пред.
Замечание:
Пред.
Пред.
Замечание:
Пред.
Пред.
The directory must be empty, and the relevant permissions must permit this. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Пред.
Предостережение
Пред.
Пример 1. rsort() example
Пред.
Пред.
Замечание:
Пример 1.
Начало
Уровень выше
Default argument values
Пред.
Начало
Уровень выше
Замечание:
Пред.
Пред.
Замечание:
Начало
Пред.
Замечание:
Пред.
Начало
Пред.
Начало
Уровень выше
Пример 1.
Пред.
Уровень выше
Пред.
Пример 1.
Пред.
Пред.
След.
Уровень выше
Замечание:
Пред.
Пред.
Пример 1.
Уровень выше
Начало
Уровень выше
Таблица 1.
Пред.
Таблица 1.
Таблица 2.
Пример 1.
Пример 1. session_cache_limiter() example
Уровень выше
See also session_encode().
Пример 2.
Уровень выше
Пред.
Замечание:
Предостережение
Пред.
Пример 1. session_name() examples
Пред.
Предостережение
Предостережение
Замечание:
Замечание:
Замечание:
Замечание:
Предостережение
Предостережение
Замечание:
Пред.
Пример 2. setcookie() delete examples
Замечание:
Пример 1.
Уровень выше
Пред.
set_file_buffer
Description
Пред.
След.
Уровень выше
Замечание:
Пример 1. setlocale() Examples
Уровень выше
Пред.
Пред.
settype
Description
Пример 1. settype() example
Начало
Уровень выше
Пред.
Пред.
Пред.
Замечание:
Пред.
Замечание:
Пред.
Пример 1.
Пример 1.
Замечание:
Пример 1.
Пред.
Пример 1.
Пример 1.
Пред.
Пред.
Пример 1.
Замечание:
Замечание:
Замечание:
Пред.
Description
Уровень выше
Начало
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Description
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки. socket_getpeername() may also return FALSE if the socket type is not any of AF_INET or AF_UNIX, in which case the last socket error code is not updated.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
socket_get_status
Description
Начало
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Description
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пред.
Пред.
socket_set_timeout
Description
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. socket_strerror() example
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Внимание
Пред.
sort
Пример 1. sort() example
Замечание:
Пред.
Пред.
Пред.
Пред.
Пример 1. split() Example
Пример 2. split() Example
Пред.
Пред.
Пример 5. sprintf(): zero-padded integers
Пример 6. sprintf(): formatting currency
Пример 1. sql_regcase() Example
Пред.
Пред.
Пример 1. sscanf() Example
Пред.
Пред.
Начало
След.
Уровень выше
Пример 1. strcasecmp() example
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Таблица 1.
Пред.
Уровень выше
Уровень выше
Пример 1.
Пред.
Пред.
See Прил. I
Замечание:
Замечание:
Пред.
Уровень выше
Пред.
Пример 1.
Внимание
Замечание:
Замечание:
Пред.
Пример 1. stream_set_timeout() Example
Пример 1. stream_set_write_buffer() example
Пред.
Внимание
Замечание:
Пример 1. strftime() locale examples
Замечание: %G and %V, which are based on ISO 8601:1988 week numbers can give unexpected (albiet correct) results if the numbering system is not thoroughly understood.
Пример 2.
Начало
Уровень выше
Пред.
Уровень выше
Пример 1. strip_tags() example
Внимание
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Начало
Пред.
Пред.
Уровень выше
Пример 1. str_pad() example
Уровень выше
Замечание:
Пред.
Пример 1. strrchr() example
Начало
Уровень выше
Пример 1. str_repeat() example
Уровень выше
Пример 1. str_replace() example
Пред.
Уровень выше
Пример 1.
Замечание:
Начало
Пример 1. str_shuffle() example
Пред.
Уровень выше
Пример 1. strstr() example
Начало
Уровень выше
Пример 1. strtok() example
This means that in i.e. the default "C" locale, characters such as umlaut-A (Д) will not be converted.
Пример 1. strtolower() example
Пред.
Уровень выше
Пример 1. strtotime() examples
For instance, in the default "C" locale characters such as umlaut-a (д) will not be converted.
Пример 1. strtoupper() example
Пред.
Уровень выше
Пред.
Пример 1. strtr() example
$addr = strtr( $addr, "дец", "aao");
Замечание:
Пред.
Пред.
Пример 1. substr_count() example
Начало
Уровень выше
Пример 1. substr_replace() example
Пред.
Пред.
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfaction() example
Пример 2. swfaction() example
Пример 3. swfaction() example
Пример 4. swfaction() example
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Замечание:
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Замечание:
Пример 1.
Начало
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfbutton() example
Пример 2. swfbutton - addaction() example
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пример 1.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfdisplayitem - multcolor() example
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfdisplayitem - rotateto() example
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfdisplayitem - setname() example
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfgradient() example
Начало
След.
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfmorph() example
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfmovie - streammp3() example
Уровень выше
Замечание:
Пред.
След.
Уровень выше
Пред.
Замечание:
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пример 1. swfshape() example
Пред.
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfshape - setline() example
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Уровень выше
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swfsprite() example
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пример 1. swftext() example
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Пред.
Пред.
Замечание:
Пред.
sybase_close() closes the link to a Sybase database that 's associated with the specified link link_identifier.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Начало
След.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Замечание:
Уровень выше
Уровень выше
Уровень выше
Замечание:
Уровень выше
Пред.
Пред.
Пред.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Уровень выше
Пред.
Уровень выше
Таблица 1. syslog() Priorities (in descending order)
Замечание:
Уровень выше
Замечание:
Пред.
След.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пример 1. tempnam() example
Замечание:
Пред.
Пред.
Уровень выше
Пример 1. tmpfile() example
Начало
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пример 1. touch() example
Уровень выше
Замечание:
Пред.
Замечание:
Пример 1.
Начало
Уровень выше
Замечание:
Начало
For instance, in the default "C" locale characters such as umlaut-a (д) will not be converted.
Пример 1. ucfirst() example
Пред.
Уровень выше
Пример 1. ucwords() example
Замечание:
Начало
Пред.
Уровень выше
Уровень выше
Пример 1.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Начало
Пред.
Пред.
Пред.
Замечание:
Пред.
Уровень выше
Пред.
Замечание:
Пред.
udm_get_res_field
Description
Начало
След.
Уровень выше
Пред.
Уровень выше
Пред.
Пред.
Пример 1. uksort() example
Пред.
Пред.
Уровень выше
Замечание:
Пред.
Пред.
Уровень выше
Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Пред.
Уровень выше
Пример 1. unpack() format string
Пред.
Пред.
Пример 1. unserialize_callback_func example
Пример 2. unserialize() example
Пред.
Уровень выше
Пример 1. urldecode() example
Пред.
Уровень выше
Пред.
Замечание:
Пред.
Замечание:
Пример 2. usort() example using multi-dimensional array
Пример 3. usort() example using a member function of an object
Пред.
Уровень выше
Уровень выше
Таблица 1.
Пример 1. var_dump() example
Уровень выше
Уровень выше
Пример 1. version_compare() Example
Перед тем, как осуществится выполнение подзапроса, все буферы сбрасываются и выдаются в броузер, также отсылаются заголовки, помещенные в буфер.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Начало
Начало
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Built in type names should be provided in lowercase. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Built in type names should be provided in lowercase. Возвращает TRUE в случае успешного завершения, FALSE в случае возникновения ошибки.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пример 1. wddx_serialize_vars() example
След.
Уровень выше
Замечание:
Пример 1. wordwrap() example
Пример 2. wordwrap() example
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
xml_set_character_data_handler
Description
Пред.
Пред.
Пред.
Уровень выше
Замечание: В качестве аргумента вместо имени функции может быть передан массив, содержащий ссылку на объект и имя метода.
Начало
След.
Уровень выше
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Замечание: В качестве аргумента вместо имени функции может быть передан массив, содержащий ссылку на объект и имя метода.
Начало
След.
Уровень выше
Пред.
Пред.
Уровень выше
Пред.
xml_set_processing_instruction_handler
Description
Пред.
Уровень выше
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Пред.
Пред.
Пред.
След.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Уровень выше
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Эта функция является ЭКСПЕРИМЕНТАЛЬНОЙ. Поведение этой функции, ее имя и относящаяся к ней документация могут измениться в последующих версиях PHP без уведомления. Используйте эту функцию на свой страх и риск.
Пред.
Пред.
Пред.
Пред.
Пред.
Пример 1.
Пред.
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Пред.
Пред.
Таблица 1.
Замечание:
Пример 1.
Пред.
Пред.
Пример 1.
Пример 1.
Пред.
Уровень выше
Пример 1.
Пред.
Уровень выше
Пример 1.
Пред.
Пример 1.
Пред.
Пример 1.
Пред.
Уровень выше
Замечание:
Пример 1. zend_version() Example
Пред.
Пред.
Уровень выше
Уровень выше
Пред.
Пред.
Пред.
Пред.
Замечание:
Уровень выше
Замечание:
Пред.
Уровень выше
Уровень выше
It was created by Andi Gutmans and Zeev Suraski in 1997 as a complete rewrite, after they found PHP / FI 2.0 severely underpowered for developing an eCommerce application they were working on for a University project.
To the best of our knowledge, the first book dedicated to PHP was 'PHP - tvorba interaktivnнch internetovэch aplikacн' - a Czech book published in April 1999, authored by Jirka Kosek.
Stig Sжther Bakken
Duplicating Variable Contents:
PHP and Apache 2 on Linux
Пример 3-8.
Руководство по PHP
Пред.
Глава 3. Установка
След.
Complete list of configure options
Замечание:
Configure Options in PHP 4
Замечание:
Database options
Graphics options
Misc options
PHP options
Server options
Начало
След.
Уровень выше
Конфигурация
Внимание
Windows and PWS 4 or newer
Windows NT / 2000 / XP and IIS 4 or newer
Уровень выше
Installing PHP with Netscape on Windows
Замечание:
Пред.
Пример 3-3.
Пред.
Уровень выше
Пред.
Уровень выше
Пред.
След.
Apache Module Quick Reference
Пример 3-4.
Manual Installation Steps
Внимание
Configure MVC + +
Build resolv.lib
Installation of Windows extensions
Замечание:
Начало
Уровень выше
Hypertext Preprocessor") - это широко используемый язык программирования общего назначения с открытым исходным кодом.
Простой ответ, но что он может означать? Вот пример:
Пример 1-1. Пример программирования на PHP
Обратите внимание на отличие этого скрипта от скриптов, написанных на других языках, например, на Perl или C - вместо того, чтобы создавать программу, которая занимается формированием HTML-кода и содержит бесчисленное множество предназначенных для этого команд, вы создаете HTML-код с несколькими внедренными командами PHP (в приведенном случае, предназначенными для вывода текста). Код PHP отделяется специальными начальным и конечным тегами, которые позволяют процессору PHP определять начало и конец участка HTML-кода, содержащего PHP-скрипт.
PHP крайне прост для освоения, но вместе с тем способен удовлетворить запросы профессиональных программистов. После того, как вы впервые услышали о PHP, и открыли это руководство, в течение нескольких часов вы уже сможете создавать простые PHP-скрипты.
Пред.
Пред.
Возможности PHP
Существуют три основных области, где используется PHP.
PHP наиболее широко используется именно таким образом. Все, что вам понадобится, это парсер PHP (в виде программы CGI или серверного модуля), вебсервер и броузер. Чтобы вы могли просматривать результаты выполнения PHP-скриптов в броузере, вам нужен работающий вебсервер и установленный PHP. За более подробными сведениями обратитесь к главе Советы по установке.
PHP-GTK является расширением PHP и не поставляется вместе с дистрибутивом PHP. Если вы заинтересованы, посетите сайт PHP-GTK.
Таким образом, выбирая PHP, вы получаете свободу выбора операционной системы и вебсервера. Кроме того, у вас появляется выбор между использованием процедурного или объектно-ориентированного программирования или же их сочетания. Несмотря на то, что текущая версия PHP поддерживает не все особенности ООП, многие библиотеки кода и большие приложения (включая библиотеку PEAR) написаны только с использованием ООП.
PHP также способен выдавать любые текстовые данные, такие, как XHTML и другие XML-файлы.
PHP способен осуществлять автоматическую генерацию таких файлов и сохранять их в файловой системе вашего сервера вместо того, чтобы отдавать клиенту, организуя, таким образом, кеш динамического содержания, расположенный на стороне сервера.
Одним из значительных преимуществ PHP является поддержка широкого круга баз данных. Создание скрипта, использующего базы данных, - невероятно просто. В настоящее время PHP поддерживает следующие базы данных:
PHP поддерживает стандарт обмена сложными структурами данных WDDX. Обращая внимание на взаимодействие между различными языками, следует упомянуть о поддержке объектов Java и возможности их использования в качестве объектов PHP. Для доступа к удаленным объектам вы можете использовать расширение CORBA.
PHP включает средства обработки текстовой информации, начиная с регулярных выражений Perl или POSIX Extended и заканчивая парсером документов XML. Для парсинга XML используются стандарты SAX и DOM. Для преобразования документов XML вы можете использовать расширение XSLT.
Используя PHP в области электронной коммерции, вы обратите внимание на функции осуществления платежей Cybercash, CyberMUT, VeriSign Payflow Pro и CCVS.
Последним по порядку, но не по значению, является поддержка многих других расширений, таких, как функции поисковой машины mnoGoSearch, функции IRC Gateway, функции для работы со сжатыми файлами (gzip, bz2), функции календарных вычислений, функции перевода...
Пред.
Предостережение
PHP поддерживает комметарии в стиле 'C', 'C++' и оболочки Unix. Например:
Однострочные комментарии идут только до конца строки или текущего блока PHP-кода, в зависимости от того, что идет перед ними.
Будьте внимательны, следите за отсутствием вложенных 'C '-комментариев, они могут появиться во время комментирования больших блоков.
Однострочные комментарии идут только до конца строки или текущего блока PHP-кода, в зависимости от того, что идет перед ними. Это означает, что HTML-код после / /? БУДЕТ напечатан:? выводит из режима PHP и возвращает в режим HTML, но / / не позволяет этого сделать.
Когда PHP обрабатывает файл, он просто передаёт его текст, пока не встретит один из специальных тегов, который сообщает ему о необходимости начать интерпретацию текста как кода PHP. Затем он выполняет весь найденный код до закрывающего тега, говорящего интерпретатору, что далее снова идет просто текст. Этот механизм позволяет вам внедрять PHP-код в HTML - все за пределами тегов PHP остается неизменным, тогда как внутри - интерпретируется как код.
Теги, поддерживаемые PHP:
1. ?php echo( "если вы хотите работать с документами XHTML или XML, делайте так\n");?
Первый способ, ?php...?, наиболее предпочтительный, так как он позволяет использовать PHP в коде, соответствующем правилам XML, таком как XHTML.
Второй способ не всегда доступен. Короткие теги доступны только когда они включены. Это можно сделать, используя функцию short_tags() (только в PHP 3), включив установку short_open_tag в конфигурационном файле PHP, либо скомпилировав PHP с параметром --enable-short-tags для configure. Даже если оно включено по умолчанию в php.ini-dist, использование коротких тегов не рекомендуется.
Четвертый способ доступен только если теги в стиле ASP были включены, используя конфигурационную установку asp_tags.
Замечание: Следует избегать использования коротких тегов при разработке приложений или библиотек, предназначенных для распространения или размещения на PHP-серверах, не находящихся под вашим контролем, так как короткие теги могут не поддерживаться на целевом сервере. Для создания переносимого, совместимого кода, не используйте короткие теги.
PHP позволяет использовать такие структуры:
?php if ($expression) {? strong Это истина. / strong ?php} else {? strong Это ложь. / strong ?php}?
Справочник по языку
Разделение инструкций
Инструкции разделяются также как и в C или Perl - каждое выражение заканчивается точкой с запятой.
?php echo "Это тест";? ?php echo "Это тест"?
Замечание:
Замечание:
След.
Уровень выше
Предостережение
Предостережение
Предостережение
Уровень выше
Пред.
Таблица 11-2.
Пред.
Замечание:
Уровень выше
Пред.
Таблица 11-5.
Таблица 11-6.
Пред.
/ / This array is the same as... array( 5 = 43, 32, 56, "b "= 12); / / ...this array array(5 = 43, 6 = 32, 7 = 56, "b" = 12);
$arr = array( 5 = 1, 12 = 2); $arr[] = 56; / / This is the same as $arr[13] = 56; / / at this point of the script $arr["x"] = 42; / / This adds a new element to / / the array with key "x "unset($arr[5]); / / This removes the element from the array unset($arr); / / This deletes the whole array
$a = array( 1 = 'one', 2 = 'two', 3 = 'three'); unset($a[2]); / * will produce an array that would have been defined as $a = array(1 = 'one', 3 = 'three'); and NOT $a = array(1 = 'one', 2 = 'three'); * / $b = array_values($a); / / Now b is array(1 = 'one', 2 = 'three')
$error_descriptions[ 1] = "A fatal error has occured"; $error_descriptions[2] = "PHP issued a warning"; $error_descriptions[8] = "This is just an informal notice";
?php / / Turn on the display of all errors error_reporting( E_ALL); / / Define the test array $abc = array("x "= "y"); / / Access element with the *bad* method echo $abc[x];?
Замечание:
If you convert an object to an array, you get the properties (member variables) of that object as the array 's elements.
/ / this $a = array( 'color '= 'red', 'taste' = 'sweet', 'shape '= 'round', 'name' = 'apple', 4 / / key will be 0); / / is completely equivalent with $a['color'] = 'red'; $a['taste'] = 'sweet'; $a['shape'] = 'round'; $a['name'] = 'apple'; $a[] = 4; / / key will be 0 $b[] = 'a'; $b[] = 'b'; $b[] = 'c'; / / will result in the array array(0 = 'a ', 1 = 'b', 2 = 'c'), / / or simply array('a', 'b', 'c')
Пример 7-5.
$colors = array( 'red', 'blue', 'green', 'yellow'); foreach ($colors as $color) {echo "Do you like $color?\n";} / * output:
foreach ($colors as $key = $color) {/ / won't work: / /$color = strtoupper($color); / / works: $colors[$key] = strtoupper($color);} print_r($colors); / * output:
Array ([0] = RED [1] = BLUE [2] = GREEN [3] = YELLOW) * /
Пример 7-7.
$firstquarter = array( 1 = 'January', 'February', 'March'); print_r($firstquarter); / * output:
Пример 7-8.
/ / fill an array with all items from a directory $handle = opendir( '.'); while ($file = readdir($handle)) {$files[] = $file;} closedir($handle);
Пример 7-9.
$fruits = array ("fruits "= array ("a" = "orange", "b "= "banana", "c" = "apple "), "numbers" = array (1, 2, 3, 4, 5, 6,), "holes "= array ("first", 5 = "second", "third")); / / Some examples to address values in the array above echo $fruits["holes"][5]; / / prints "second "echo $fruits["fruits"]["a"]; / / prints "orange" unset($fruits["holes"][0]); / / remove "first "/ / Create a new multi-dimensional array $juices["apple"]["green"] = "good";
$arr1 = array( 2, 3); $arr2 = $arr1; $arr2[] = 4; / / $arr2 is changed, / / $arr1 is still array(2,3) $arr3 = $arr1; $arr3[] = 4; / / now $arr1 and $arr3 are the same
Уровень выше
Это простейший тип. Он выражает истинность значения - это может быть либо TRUE, либо FALSE.
Синтаксис
$foo = True; / / определить $foo как TRUE
Обычно вы используете некий оператор, который возвращает логическое выражение, а затем предает его управляющей конструкции.
Конвертация в булев тип
Смотрите также Манипуляции с типами.
Сам булев FALSE
целое 0 (ноль)
пустая строка и строка "0"
объект с нулевыми переменными-членами
Внимание
echo gettype( (bool) ""); / / bool(false) echo gettype((bool) 1); / / bool(true) echo gettype((bool) -2); / / bool(true) echo gettype((bool) "foo"); / / bool(true) echo gettype((bool) 2.3e5); / / bool(true) echo gettype((bool) array(12)); / / bool(true) echo gettype((bool) array()); / / bool(false)
Начало
Типы
Целые
Числа с плавющей точкой
$a = 1.234; $a = 1.2e3; $a = 7E-10;
Точность числа с плавающей точкой
Это связано с невозможностью точно выразить некоторые дроби в десятичной системе счисления конечным числом цифр. Например, 1 / 3 в десятичной форме принимает вид 0.3333333....
Пред.
Глава 7. Типы
Введение
PHP поддерживает восемь простых типов.
булев
число с плавающей точкой
массив
источник
смешанный
число
Как правило, программист не устанавливает тип переменной; предпочтительнее, чтобы это делал PHP во время выполнения программы в зависимости от контекста, в котором используется переменная.
Замечание: Если вы желаете проверить тип и значение определенного выражения, используйте var_dump().
$bool = TRUE; / / логический $str = "foo"; / / строковый $int = 12; / / целочисленный echo gettype($bool); / / выводит "boolean "echo gettype($str); / / выводит "string" / / Если это целое, увеличить на четыре if (is_int($int)) {$int += 4;} / / Если $bool - это строка, вывести ее / / (ничего не выводит) if (is_string($bool)) {echo "Строка: $bool";}
Если вы хотите принудительно изменить тип переменной, вы можете либо привести переменную, либо использовать функцию settype().
Пред.
Пред.
Целые
Смотрите также: Целые произвольной длины и Ð§Ð¸ÑÐ»Ð° Ñ Ð¿Ð»Ð°Ð²Ð°ÑŽÑ‰ÐµÐ¹ Ñ‚Ð¾Ñ‡ÐºÐ¾Ð¹
Целые могут быть указаны в десятичной, шестнадцатеричной или восьмеричной системе счисления, по желанию с предшествующим знаком (- или +).
Пример 7-1. Целые
десятичные: [1-9][0-9]* _BAR_ 0 шестнадцатеричные:
Превышение размера целого
$large_number = 2147483647; var_dump($large_number); / / вывод: int(2147483647) $large_number = 2147483648; var_dump($large_number); / / вывод: float(2147483648) / / это справедливо и для шестнадцатеричных целых: var_dump (0x80000000); / / вывод: float(2147483648) $million = 1000000; $large_number = 50000 * $million; var_dump($large_number); / / вывод: float(50000000000)
Эта ошибка устранена в PHP 4.1.0.
var_dump( 25 / 7); / / float(3.5714285714286) var_dump((int) (25 / 7)); / / int(3) var_dump(round(25 / 7)); / / float(4)
Смотрите также Манипуляции с типами.
FALSE конвертируется в 0 (ноль), а TRUE - в 1 (единицу).
При конвертации из числа с плавющей точкой в целое, число будет округлено в сторону нуля.
echo (int) ((0.1+0.7) * 10); / / выводит 7!
Из других типов
Для других типов поведение конвертации в целое не определено. В настоящее время поведение такое же, как если бы значение сперва было конвертировано в булев тип. Однако не полагайтесь на это поведение, так как он может измениться без предупреждения.
Замечание:
Syntax
$var = NULL;
Пред.
Уровень выше
Синтаксис
одинарными кавчками
Простейший способ определить строку - это заключить ее в одинарные кавычки (символ ').
Замечание: В PHP 3 в данном случае будет выдано сообщение уровня E_NOTICE.
echo ''это простая строка'; echo 'Вы можете вставлять в строки символ новой строки таким образом'; echo 'Однажды Арнольд сказал: "I\'ll be back"'; / / вывод:... "I'll be back "echo 'Вы уверены, что хотите удалить C:\\*.* ?'; / / вывод:... удалить C:\*.*? echo 'Вы уверены, что хотите удалить C:\*.* ?'; / / вывод:... удалить C:\*.*? echo 'Я пытаюсь вставить в этой точке: \n символ новой строки'; / / вывод:... в этой точке: \n символ новой строки
Если строка заключена в двойные кавычки ("), PHP распознает большее количество мнемоник специальных символов:
последовательность символов, соответсвующая регулярному выражению, символ в восьмеричной системе счисления
Повторяем, если вы захотите мнемнонизировать любой другой символ, обратная косая черта также будет напечатана!
Heredoc
Другой способ определения строк - это использование heredoc-синтаксиса ("").
Внимание
$beer = 'Heineken'; echo "$beer's taste is great"; / / works, "'"is an invalid character for varnames echo "He drank some $beers"; / / won't work, 's' is a valid character for varnames echo "He drank some ${beer}s"; / / works
$fruits = array( 'strawberry '= 'red', 'banana' = 'yellow'); / / note that this works differently outside string-quotes echo "A banana is $fruits[banana] ."; echo "This square is $square - width meters broad ."; / / Won 't work.
For a solution, see the complex syntax. echo "This square is $square - width00 centimeters broad .";
Complex (curly) syntax
This is {fantastic} echo "This is {$great}"; / / works, outputs:
Useful functions and operators
This happens when you use the echo() or print() functions, or when you compare a variable value to a string.
An integer or a floating point number is converted to a string representing the number with its digits (includig the exponent part for floating point numbers).
If you would like to print out the member variable values of an object for debugging reasons, read the paragraphs below.
$foo = 1 + "10.5"; / / $foo is float (11.5) $foo = 1 + "-1.3e3"; / / $foo is float (-1299) $foo = 1 + "bob-1.3e3"; / / $foo is integer (1) $foo = 1 + "bob3"; / / $foo is integer (1) $foo = 1 + "10 Small Pigs"; / / $foo is integer (11) $foo = 4 + "10.2 Little Piggies"; / / $foo is float (14.2) $foo = "10.0 pigs" + 1; / / $foo is float (11) $foo = "10.0 pigs "+ 1.0; / / $foo is float (11)
echo "\$foo==$foo; type is". gettype ($foo). "br / \n";
$foo = "0"; / / $foo is string (ASCII 48) $foo += 2; / / $foo is now an integer (2) $foo = $foo + 1.3; / / $foo is now a float (3.3) $foo = 5 + "10 Little Piggies"; / / $foo is integer (15) $foo = 5 + "10 Small Pigs"; / / $foo is integer (15)
Замечание:
$a = "1"; / / $a is a string $a[0] = "f"; / / What about string offsets?
$a = "abc"; / / $a is a string $a{1} = "f"; / / $a is now "afc"
$foo = 10; / / $foo is an integer $bar = (boolean) $foo; / / $bar is a boolean
$foo = (int) $bar; $foo = (int) $bar;
Замечание:
$foo = 10; / / $foo is an integer $str = "$foo"; / / $str is a string $fst = (string) $foo; / / $fst is also a string / / This prints out that "they are the same "if ($fst === $str) {echo "they are the same";}
Пред.
Уровень выше
Пример 8-2.
Пример 8-3.
?php if ($HTTP_POST_VARS['action'] == 'submitted') {print 'pre'; print_r($HTTP_POST_VARS); print 'a href="'. $HTTP_SERVER_VARS['PHP_SELF'] .' "Please try again / a'; print '/ pre';} else {? form action=" ?php echo $HTTP_SERVER_VARS['PHP_SELF'];? "method="post" Name: input type="text "name="personal[name]" br Email: input type="text "name="personal[email]" br Beer: br select multiple name="beer[] "option value="warthog" Warthog / option option value="guinness "Guinness / option option value="stuttgarter" Stuttgarter Schwabenbrдu / option / select br input type="hidden "name="action" value="submitted "input type="submit" name="submit "value="submit me!" / form ?php}?
Dots in incoming variable names
Determining variable types
?php $var = "Bob"; $Var = "Joe"; echo "$var, $Var"; / / outputs "Bob, Joe" $4site = 'not yet'; / / invalid; starts with a number $_4site = 'not yet'; / / valid; starts with an underscore $tдyte = 'mansikka'; / / valid; 'д 'is ASCII 228.?
Уровень выше
Пред.
Пред.
Приложение B.
Пред.
Пред.
Pattern Modifiers - - Describes possible modifiers in regex patterns
Once-only subpatterns
Function Prototype
Variable Function Arguments
Пример E-2.
Using the Function Arguments
Таблица E-1.
Memory Management in Functions
Внимание
Пример E-3.
Пример E-4.
Пример E-5.
Returning simple values
Returning complex values
Пример E-7.
Пример E-8.
Пример E-9.
Using the persistent resource table
Adding runtime configuration directives
Hypertext Preprocessor" ("PHP: Препроцессор гипертекста"), является широко используемым языком программирования общего назначения с открытым исходным кодом, внедряемым в HTML. Его синтаксис основан на синтаксисе языков C, Java и Perl и является легким для изучения. Главная цель языка состоит в предоставлении веб-разработчикам возможности быстро создавать динамически генерируемые веб-страницы. Кроме того, возможности PHP не ограничиваются только этим применением.
Это руководство состоит, главным образом, из справочника по функциям, но также содержит справочник по языку, объяснения некоторых наиболее заметных особенностей PHP и другую дополнительную информацию.
Пред.
Пред.
I. Функции для работы с сервером Apache
Эти функции доступны только в том случае, если PHP работает в качестве модуля Apache.
Начало
След.
Справочник по функциям
Уровень выше
II. Функции для работы с массивами
Эти функции позволят вам различными способами оперировать с массивами. Массивы идеально подходят для хранения, изменения и работы с наборами переменных.
Чтобы получить больше сведений о том, каким образом создаются и используются массивы в PHP, обратитесь к главе Массивы данного руководства.
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Настройка во время выполнения
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Перечисленные ниже константы всегда доступны как часть ядра PHP.
CASE_LOWER используется с функцией array_change_key_case() для указания необходимости преобразования ключей массива в нижний регистр символов. По умолчанию функцией array_change_key_case() используется именно эта константа.
CASE_UPPER используется с функцией array_change_key_case() для указания необходимости преобразования ключей массива в верхний регистр символов.
Смотрите также
См.также is_array(), explode(), implode(), split(), preg_split() и join().
Начало
След.
Уровень выше
Требования
Требования
Настройка во время выполнения
Таблица 1.
Типы ресурсов
Предопределенные константы
Пред.
Требования
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Примеры
Пример 1.
Уровень выше
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Настройка во время выполнения
Предопределенные константы
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Настройка во время выполнения
Предопределенные константы
Требования
Установка
Настройка во время выполнения
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Пример 1.
Пред.
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Начало
Уровень выше
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пример 1.
This extension allows you to process credit cards transactions using Crйdit Mutuel CyberMUT system (http: / /www.creditmutuel.fr / centre_commercial / vendez_sur_internet.html).
CyberMUT is a popular Web Payment Service in France, provided by the Crйdit Mutuel bank.
Замечание:
Установка
You will require the appropriate SDK for your platform, which may be sent to you after your CyberMUT' s subscription (contact them via Web, or go to the nearest Crйdit Mutuel).
Пред.
Введение
К настоящему времени эта функция еще не была документирована; для ознакомления доступен только список аргументов.
Установка
Предопределенные константы
Пред.
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Таблица 1.
Замечание:
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Примеры
Установка
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Пред.
Требования
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие константы.
Пример 1.
Уровень выше
Введение
Требования
Данное расширение не определяет никакие директивы конфигурации в php.ini.
dbplus_relation
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Установка
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Замечание:
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Замечание: Для Windows-платформ это расширение недоступно.
Эти функции всегда доступны.
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Пред.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Смотрите также
Пред.
Это расширение является ЭКСПЕРИМЕНТАЛЬНЫМ. Поведение этого расширения, включая имена его функций и относящуюся к нему документацию может измениться в последующих версиях PHP без уведомления. Используйте это расширение на свой страх и риск.
Требования
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Таблица 3.
Таблица 8.
Таблица 11.
DomXsltStylesheet - result_dump_file
Пред.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Перечисленные ниже константы всегда доступны как часть ядра PHP.
Замечание:
Пример 1.
Требования
Установка
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Смотрите также
Установка
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Установка
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
On Windows versions prior to PHP 4.3, the following functions do not support remote file accesing: include(), include_once(), require(), require_once() and the imagecreatefromXXX functions in the Ссылка XLI, Image functions extension.
Замечание:
Замечание:
Типы ресурсов
Данное расширение не определяет никакие константы.
Пред.
Требования
Установка
Настройка во время выполнения
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Эти функции всегда доступны.
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Примеры
Пример 1.
Начало
След.
Уровень выше
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие константы.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Замечание:
Внимание
Замечание: Для Windows-платформ это расширение недоступно.
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Примеры
Пример 1.
Требования
Установка
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Пред.
Требования
Поведение этих функций находится в зависимости от установок в php.ini.
Поведение этих функций находится в зависимости от установок в php.ini.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Настройка во время выполнения
Таблица 1.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Таблица 2. iconv constants
Смотрите также
Пред.
Требования
Настройка во время выполнения
Замечание:
Таблица 1.
Типы ресурсов
Данное расширение не определяет никакие константы.
Уровень выше
Замечание:
Настройка во время выполнения
Поведение этих функций находится в зависимости от установок в php.ini.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пример 1.
Уровень выше
Установка
Замечание:
Внимание
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Перечисленные ниже константы всегда доступны как часть ядра PHP.
Таблица 3. phpinfo() constants
Требования
Установка
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пред.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Пред.
Требования
Настройка во время выполнения
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Пример 1.
Пример 2.
Пред.
Установка
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пример 1.
Пред.
Уровень выше
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Уровень выше
Returns an array listing filename information
Настройка во время выполнения
Перечисленные ниже константы всегда доступны как часть ядра PHP.
Замечание:
Замечание:
If --with-mbstring=kr is used, korean encoding will be supported.
Настройка во время выполнения
Таблица 1.
Пример 1. php.ini setting example
Пример 2. php.ini setting for EUC-JP users
Пример 3. php.ini setting for SJIS users
Данное расширение не определяет никакие типы ресурсов.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пример 4.
Пример 5. php.ini setting example
Пример 6.
Supported Character Encodings
Overloading PHP string functions with multi byte string functions
Таблица 2.
References
Пред.
Уровень выше
Требования
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Пред.
Поведение этих функций находится в зависимости от установок в php.ini.
Предопределенные константы
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пример 1.
Пример 2.
Пред.
Уровень выше
Замечание: Для Windows-платформ это расширение недоступно.
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
След.
Уровень выше
Поведение этих функций находится в зависимости от установок в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Введение
Данное расширение не определяет никакие директивы конфигурации в php.ini.
SWFDisplayItem - move - - Moves object in relative coordinates.
SWFDisplayItem - scale - - Scales the object in relative coordinates.
SWFMovie - remove - - Removes the object instance from the display list.
SWFMovie - setframes - - Sets the total number of frames in the animation.
SWFTextField - setLeftMargin - - Sets the left margin width of the text field.
SWFTextField - setMargins - - Sets the margins width of the text field.
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Уровень выше
Замечание: Для Windows-платформ это расширение недоступно.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Замечание: Для Windows-платформ это расширение недоступно.
Установка
Настройка во время выполнения
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1. mSQL configuration options
Типы ресурсов
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Требования
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пред.
Требования
Установка
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Внимание
Настройка во время выполнения
Таблица 1.
Типы ресурсов
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Это расширение является ЭКСПЕРИМЕНТАЛЬНЫМ. Поведение этого расширения, включая имена его функций и относящуюся к нему документацию может измениться в последующих версиях PHP без уведомления. Используйте это расширение на свой страх и риск.
Поведение этих функций находится в зависимости от установок в php.ini.
Предопределенные константы
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Перечисленные ниже константы всегда доступны как часть ядра PHP.
Таблица 3. syslog() Priorities (in descending order)
Пред.
Замечание: Для Windows-платформ это расширение недоступно.
Настройка во время выполнения
Предопределенные константы
Пред.
Specify the name of the note.
Введение
Пример 3. storage_classes.inc
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Примеры
Пример 2.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Замечание:
Типы ресурсов
Предопределенные константы
Returns FALSE if an error occurs, otherwise TRUE
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Certificate Verification
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
PKCS7 Flags / Constants
Таблица 1.
Замечание:
Пред.
Предопределенные константы
Пред.
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Замечание:
Типы ресурсов
Предопределенные константы
Примеры
Смотрите также
Пред.
Требования
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Примеры
Пример 1.
Замечание: Для Windows-платформ это расширение недоступно.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Примеры
Пример 1.
Требования
Замечание:
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Примеры
Пример 1.
Настройка во время выполнения
Confusion with old PDFlib versions
Требования
Настройка во время выполнения
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Поведение этих функций находится в зависимости от установок в php.ini.
Внимание
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Уровень выше
Замечание: Для Windows-платформ это расширение недоступно.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Требования
Установка
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Пред.
Это расширение является ЭКСПЕРИМЕНТАЛЬНЫМ. Поведение этого расширения, включая имена его функций и относящуюся к нему документацию может измениться в последующих версиях PHP без уведомления. Используйте это расширение на свой страх и риск.
Требования
Установка
Пред.
Замечание: Для Windows-платформ это расширение недоступно.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Внимание
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Эти функции всегда доступны.
Замечание:
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Примеры
Пример 1.
Смотрите также
Замечание: Для Windows-платформ это расширение недоступно.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 2.
Предопределенные константы
Пред.
Замечание:
Поведение этих функций находится в зависимости от установок в php.ini.
Configuration notes
Таблица 1.
Porting note
Migration from other SQL databases
Support of SESAM' s "multiple fields "feature
Замечание:
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Замечание:
Замечание:
Типы ресурсов
Предопределенные константы
Примеры
Пример 3.
Пример 4.
Замечание:
Замечание:
Требования
Настройка во время выполнения
Типы ресурсов
Данное расширение не определяет никакие константы.
Пример 1.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Пред.
Требования
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Custom filters can be defined in a PHP script using stream_register_filter() or in an extension using the API Reference in Гл. 43
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Пример 2.
Пример 3.
Уровень выше
Требования
Установка
Предопределенные константы
Смотрите также
Пред.
Замечание:
Требования
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Уровень выше
Требования
Настройка во время выполнения
Таблица 1.
Замечание:
Таблица 2.
Типы ресурсов
Данное расширение не определяет никакие константы.
Это расширение является ЭКСПЕРИМЕНТАЛЬНЫМ. Поведение этого расширения, включая имена его функций и относящуюся к нему документацию может измениться в последующих версиях PHP без уведомления. Используйте это расширение на свой страх и риск.
Эти функции всегда доступны.
Замечание:
Предопределенные константы
Пред.
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Эти функции всегда доступны.
Для использования этих функций не требуется проведение установки, поскольку они являются частью ядра PHP.
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Пред.
Внимание
Требования
Установка
Настройка во время выполнения
Типы ресурсов
Перечисленные ниже константы определены данным расширением и могут быть доступны только в том случае, если PHP был собран с поддержкой этого расширения или же в том случае, если данное расширение подгружается во время выполнения.
Пример 1.
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Примеры
Пример 1.
Пример 2.
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Пример 5. xmltest2.xml
Начало
След.
Уровень выше
Требования
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Типы ресурсов
Предопределенные константы
Пред.
Данное расширение не определяет никакие директивы конфигурации в php.ini.
Предопределенные константы
Внимание
Настройка во время выполнения
Таблица 1.
Данное расширение не определяет никакие типы ресурсов.
Данное расширение не определяет никакие константы.
Требования
Настройка во время выполнения
Типы ресурсов
Предопределенные константы
Примеры
Пример 1.
Замечание:
Требования
Версия PHP для Windows-совместимых платформ имеет встроенную поддержку данного расширения. Это означает, что для использования данных функций не требуется загрузка никаких дополнительных расширений.
Замечание:
Поведение этих функций находится в зависимости от установок в php.ini.
Таблица 1.
Типы ресурсов
Предопределенные константы
Пример 1.
Ming Defined Classes
Oracle 8 Defined Classes
qtdom Defined Classes
Пред.
Core Predefined Constants - - Constants defined in the PHP core, Zend, and SAPI modules
Standard Predefined Constants - - Constants defined in PHP by default
Таблица G-1.
Server variables: $_SERVER
Environment variables: $_ENV
HTTP Cookies: $_COOKIE
HTTP GET variables: $_GET
HTTP POST variables: $_POST
HTTP File upload variables: $_FILES
Session variables: $_SESSION
Global variables: $GLOBALS
При использовании PHP, как Apache-модуль, данный модуль получает все права и разрешения Apache (обычно, права пользователя "nobody", т.е. "отсутствующего "пользователя). Это вносит некоторые сложности в систему безопасности и авторизации. К примеру, если PHP используется для обращения к базе данных, то в случае отсутствия встроенного контроля доступа в базе данных ее придется сделать доступной для пользователя "nobody". В этом случае скрипт злоумышленника может получить доступ на чтение и изменение базы данных даже без указания имени пользователя и пароля. Также возможно, что сетевой червь проникнет на страницу администратора и уничтожит все ваши базы данных. Можно защититься от этого путем введения авторизации в Apache, или разработав собственную модель доступа с использованием LDAP, файлов .htaccess (и др.) и использовать этот код, как часть ваших программ на PHP.
PHP оказывается одинакого защищенным от записи дозволенных и недозволенных фалов, или от произведения дозволенных или недозволенных операций с базами данных.
Очень частая ошибка на этом этапе - дать PHP права "root", или администратора или каким-либо образом увеличить разрешения для Apache.
Установка для Apache разрешений администратора (root) очень опасна для системы в целом. Те, кто не является специалистами по безопасности, в данном случае должны избегать любых операций вроде "sudo "или "chroot".
Пред.
Использование PHP в виде приложения CGI - вариант для тех, кто по тем или иным причинам не хочет встраивать PHP в приложение сервера (к примеру, Apache), в виде модуля, или для тех, то хочет использовать PHP совместно с CGI-оболочками, помогающими создать безопасную среду для выполнения программ. Такая настройка обычно включает в себя инсталляцию приложения PHP в директорию cgi-bin на сервере. Рекомендация CERT CA-96.11 выступает против помещения интерпретаторов в cgi-bin. Даже при том, что PHP может быть использован, как независимый интерпретатор, он разрабатавылся для предотвращения атак, связанных с данным вариантом настройки:
Получение доступа к системным файлам: http: / /my.host / cgi-bin / php? / etc / passwd
Информация запроса в URL после знака вопроса (?) передается с помощью CGI интерпретатору в виде командной строки. Обычно интерпретаторы открывают и выполняют файл, заданный первым аргументом в данной строке.
При вызове в роли приложения CGI, PHP не интерпретирует аргументы командной строки.
Получение доступа к любому документу на сервере: http: / /my.host / cgi-bin / php / secret / doc.html
Информационнася часть URL после названия приложения PHP / secret / doc.html обычно используется для задания файла, который будет открыт и интерпретирован приложение CGI. В общем случае для перенаправления запросов вида http: / /my.host / secret / script.php интерпретатору PHP используются директивы конфигурации Web-сервера (к примеру, Action в Apache). При такой настройке, сервер сначала проверяет разрешения на доступ к данной директории / secret, и только после создает перенаправленный запрос http: / /my.host / cgi-bin / php / secret / script.php. К сожалению, если запрос уже дан в вышеприведенной форме, сервер не выполняет никаких проверок на право доступа к файлу / secret / script.php, выполняя данную проверку только для файла / cgi-bin / php. Таким образом, любой пользователь c доступом к / cgi-bin / php может получить доступ к любому защищенному документу на сервере.
В PHP, опция конфигурации компилятора --enable-force-cgi-redirect и опции конфигурации времени выполнения doc_root и user_dir могут быть использованы для предотвращения подобных атак, если дерево документов сервера имеет каталоги с ограничением доступа. Далее приводятся подробные пояснения к различным комбинациям опций.
Если ваш сервер не содержит ничего защищенного паролем или списком IP-адресов, то в вышеперечисленных опциях нет необходимости. Если ваш Web-сервер не допускает перенаправлений, или если сервер не имеет возможности безопасно перенаправить запрос приложению PHP, вы можете установить опцию --enable-force-cgi-redirect конфигурирующей программе. Однако, вам все равно придется следить за тем, чтобы ваши программы не зависели от метода их вызова, как прямого http: / /my.host / cgi-bin / php / dir / script.php так и с использованием перенаправления http: / /my.host / dir / script.php.
Вариант 2: использование --enable-force-cgi-redirect
PHP будет транслировать данные только в том случае, если они уже прошли через перенаправление Web-сервера.
Обычно перенаправление в сервере Apache конфигурируется с использованием следующих команд:
Эта опция была проверена только для Web-сервера Apache и основывается на установке им не-CGI-стандартной переменной окружения REDIRECT_STATUS для перенаправленных запросов. Если ваш Web-сервер не поддерживает никаких путей указания того, осуществлялось ли перенаправление запроса, вы не можете использовать эту опцию и должны использовать другие варианты использования приложения CGI, описанные ниже.
Помещение активного содержимого (вроде программ и исполняемых файлов) в директории документов Web-сервера считается небезопасным. Если в случае какой-либо ошибки в конфигурировании программы не выполнятся, а отобразятся как обычные HTML-документы, это приведет к утечке интеллектуальной собственности или скрытой информации вроде паролей. Поэтому многие системные администраторы предпочитают создавать отдельную структуру директорий для программ, доступных только через PHP CGI, а поэтому всегда интепретируемых и отображаемых верно.
Корневой каталог документов для программ PHP можно установить с помощью директивы doc_root в файле конфигурации или с помощью переменной окружения PHP_DOCUMENT_ROOT. Если такая установка сделана, то CGI-версия PHP всегда будет добавлять к информации пути в запросе значение параметра doc_root, так что в этом случае вы можете быть уверены, что ни одна программа не выполнится за пределами этой директории (исключение составляет лишь случай с использованием параметра user_dir, описанный ниже).
Еще одной полезной опцией является user_dir. Если user_dir не задана, то единственным фактором, влияющим на имя открываемого файла является doc_root. Открытие ULR вроде http: / /my.host / ~user / doc.php не приведет в этом случае к открытию файла внутри домашнего каталога пользователя. В этом случае будет открыт файл ~user / doc.php в каталоге, заданном в doc_root.
Если user_dir установлена, к примеру, в public_php, то запрос http: / /my.host / ~user / doc.php откроет файл doc.php в каталоге public_php, находящемся в домашнем каталоге пользователя. Если домашний каталог пользователя - / home / user, то в этом случае будет открыт файл / home / user / public_php / doc.php.
Вариант 4: транслятор PHP вне дерева документов Web
Весьма безопасным является помещение программы-транслятора PHP за пределами дерева документов Web-сервера. К примеру, в / usr / local / bin. У этого варианта есть лишь один недостаток - то, что в начало каждого файла с тэгами PHP придется помещать следующую строку:
Пред.
При инсталляции в виде модуля Apache
PHP, как и любая другая большая система, постоянно изменяется и дорабатывается. Каждая новая версия обычно включает как серьезные, так и небольшие изменения для устранения проблем безопасности, конфигурации, а также всего, что влияет на общую безопасность и стабильность системы.
Пред.
Сегодня базы данных - основная составляющая практически любых приложений, основанных на Web, которая дает возможность предоставления разнообразного динамического содержимого. Поскольку в таких базах данным может храниться весьма важная и секретная информация, нужно позаботиться и об их защите.
Для получения или сохранения информации в базе данных, к ней нужно подключиться, послать запрос, обработать ответ и закрыть подключение. Сегодня для всего этого обычно используется структурированный язык запросов (Structured Query Language, SQL). Давайте посмотрим, как злоумышленник может поступить с SQL-запросом.
Помните простое правило: защита строится "вглубь". Чем больше мест вы защитите и чем больше действий предпримете для защиты базы данных, тем меньше вероятность успеха у злоумышленника на извлечение и использование хранимой в ней секретной информации. Все опасные места устраняются правильной разработкой структуры базы данных и использующего ее приложения.
Первый шаг всегда - собственно создание базы данных, за исключением случаев использования чужих баз. Когда создается база данных, ей назначается владелец, который и вызвал команду создания. Обычно только один владелец ("суперпользователь") может делать что угодно с объектами внутри этой базы данных и для того, чтобы позволить другим пользователям использовать ее, им должны быть назначены права доступа.
Приложения никогда не должны подключаться к базе данных в роли ее владельца или "суперпользователя", поскольку в этом случае пользователи могут произвести любые действия вроде модификации схемы (к примеру, удаления таблиц) или удаления всего ее содержимого.
Можно создать различных пользователей баз данных для каждого необходимого действия приложений, очень сильно ограничивая доступ последних к объектам базы данных. Требуемые права должны назначаться однократно, их использования в других местах приложения нужно избегать. Это значит, что если злоумышленник получит доступ с использованием той или иной учетной записи, он сможет получить лишь тот доступ, которым обладала использованная часть программы.
Подключение к базе данных
Хранение зашифрованных данных
SSL - лишь сетевой протокол.
PHP способствует такому подходу благодаря наличию специфичных раширений, таких, как Mcrypt и Mhash, охватывающих большой ряд алгоритмов шифрования. Программа шифрует сохраняемые данные и расшифровывает получаемые. Для детального описания схем шифрования смотрите ссылки.
Пример 5-5. Использование хешированных паролей
Внедрение в SQL
Внедрение в команды SQL - техника, при которой злоумышленник создает или изменяет команды SQL для получения доступа к скрытым данным, для изменения существующих и даже для выполнения команд уровня операционной системы. Это достигается в том случае, если программа использует введенные данные в комбинации со статическими параметрами для создания запроса SQL. Следующие примеры, к сожалению, основаны на реально произошедших случаях:
Пример 5-6. Разделение результата запроса по страницам и... создание суперпользователей (PostgreSQL и MySQL)
/ / в случае PostgreSQL 0; insert into pg_shadow(usename,usesysid,usesuper,usecatupd,passwd) select 'crack', usesysid, 't' ,'t' ,'crack 'from pg_shadow where usename='postgres'; - - / / в случае MySQL 0; UPDATE user SET Password=PASSWORD('crack') WHERE user='root'; FLUSH PRIVILEGES;
Замечание: Обычная практика - заставить транслятор SQL проигнорировать остаток запроса разработчика с помощью обозначения начала коментария SQL - -.
Пример 5-7. Вывод статей... и паролей (любой сервер баз данных)
Запросы SQL "UPDATE" также могут быть использованы для атаки на базу данных. Эти запросы также подвержены опасности "обрезки "и добавления новых запросов. Но здесь злоумышленник работает с командой SET. В этом случае необходимо знание некоторой информации о структуре базы данных для удачной модификации запроса. Такая информация может быть получена путем изучения названий переменных форм или просто подбором. В конце концов, не так уж и много имен придумано для полей пользователей и паролей.
Пример 5-8. От сброса пароля до получения привилегий... (любой сервер баз данных)
А вот пугающий пример того, как на некоторых серверах баз данных могут быть выполнены команды уровня операционной системы:
Пример 5-9. Атака на операционную систему сервера баз данных (сервер MSSQL)
Замечание: Некоторые из вышеперечисленных примеров привязаны к конкретному серверу баз данных. Но это вовсе не означает, что подобная атака невозможна на другое программное обеспечение. Ваш сервер баз данных тоже так или иначе будет уязвим для непредвиденных атак.
В большинстве примеров видно, что для атаки злоумышленник должен обладать некоторой информацией. Все верно, но никогда заранее не известно, какими путями уйдет данная информация. Если это все-таки случится, база данных становится незащищенной. Если вы используете свободно распространяемый пакет управления базами данных, который принадлежит какой-нибудь системе управления содержимым или форуму, злоумышленник легко получит копию данной части вашей программы. Это также может представлять "дыру" в безопасности.
Большинство атак построены на использовании кода, который писался без учета соображений безопасности. Никогда не доверяйте введенным данным, особенно если они идут с клиентской стороны, пусть даже и из поля отметки, скрытого поля или записи cookie. Первый пример показывает, к чему может привести подмена этих данных.
Проверяйте ввод на совпадение типа данных с требуемым.
PHP включает в себя большое количество проверочных функций, от самых простейших из разделов "Функции для работы с переменными" и "Функции обработки символьного типа", (к примеру is_numeric() и ctype_digit() соответственно) до регулярных выражений Perl ("Регулярные выражения, совместимые с Perl").
Если программа ожидает число, проверяйте данные с помощью is_numeric(), или просто изменяйте тип с помощью settype(), или даже используйте численное представление, выданное sprintf().
Пример 5-10. Более безопасная разбивка на страницы
Предваряйте любой нечисловой ввод, передаваемый в базу данных, функциями addslashes() или addcslashes(). В первом примере показано, что кавычек в статической части запроса недостаточно.
Не выводите никакой информации о структуре базы данных ни коим образом. Для описания подробностей смотрите раздел "Отчеты об ошибках" и "Функции обработки и учета ошибок".
Можно использовать хранимые процедуры и заданные расположения для того, чтобы отвязать обращение к данным от программы так, чтобы пользователи не имели прямого доступа к таблицам и представлениям, но этот вариант имеет собственные проблемы.
Пред.
В случае настройки безопасности PHP у отчета об ошибках есть две стороны. Одна - плюс в сторону безопасности, другая - наоборот.
Стандартная техника атаки включает в себя тестирование системы путем указания заведомо неверных данных и получения деталей всех возвращенных ошибок. Это позволяет взломщику получить информацию о сервере, о возможных слабостях системы защиты. К примеру, если злоумышленнику доступна информация о странице, использующей предварительный ввод данных в форму, то он может попытаться изменить передаваемые переменные:
Пример 5-11. Атака на переменные с помощью собственной страницы HTML
Ошибки, которые обычно возвращаются PHP, очень помогают в отладке программ, указывая на файл или функцию, а также номер строки где произошла ошибка. Однако, вся эта информация может быть использована. Очень часто разработчики используют функции show_source(), highlight_string() или highlight_file(), как отладочные, но в реальном случае они могут показать скрытые переменные, неотлаженные участки кода и другую опасную информацию. Особенно опасен запуск кода с встроенными отладочными частями или с использованием технологий отладки. Если злоумышленник определит вашу схему отладки, он может просто послать вашему коду отладочные команды для произведения своих действий.
Пример 5-12. Использование отладочных переменных
К примеру, сам стиль отображения ошибок PHP обозначает, что в системе запущен PHP. Если злоумышленник, видящий .html страницу захочет проверить сервер на слабые места в безопасности путем ввода неверных данных, он, таким образом, узнает, что система построена с использованием PHP.
Ошибки функций могут указать на запущенный в системе сервер баз данных или дать информацию о том, как написана эта Web-страница. Это позволяет вести дальнейшее исследование открытых мест в базе данных или искать ошибки и слабые места в Web-странице. Путем посылки различных некорректных данных злоумышленник может, например, узнать последовательность аутентификации (из номеров строк), а также может попытаться обнаружить "дыры "в различных местах программы.
Ошибки файловой системы или общие ошибки PHP могут открыть заданные Web-серверу разрешения, а также структуру файлов сервера. Коды ошибок разработчика ухудшают ситуацию, приводя к весьма примитивному использованию "официально скрытой" информации.
Есть три основных пути решения проблемы. Первый - отладить все функции и попытаться компенсировать наличие ошибок. Второй - полностью отключить отчет об ошибках. Третий - использовать собственный обработчик ошибок PHP. Выбор зависит от вашего желания и структуры вашей системы безопасности.
Пример 5-13. Нахождение небезопасных переменных с помощью E_ALL
Использование опции register-globals
PHP подчиняется установкам безопасности на уровне файлов и каталогов, которые встроены в большинство серверных систем. Это позволяет контролировать, какие файлы могут быть прочитаны. С особой аккуратностью нужно относиться к файлам с правом чтения "для всех" - нужно помнить о том, они могут быть считаны любым пользователем, имеющим доступ к данной файловой системе.
Пример 5-1. Недостаточная проверка переменных - последствия...
Пример 5-2.... Атака на файловую систему
Назначение интерпретатору PHP ограниченных прав.
Пример 5-3. Более безопасная проверка имени файла
Пример 5-4. Еще более безопасная проверка имени файла
В зависимости от вашей операционной системы, существуют файлы, о безопасности которых надо позаботиться - драйверы устройств (/ dev / или COM1), файлы конфигурации (файлы / etc / или файлы .ini), известные области хранения данных (/ home /, Mои документы), и т.д. В связи с этим, обычно проще создать политику в которой запрещено все, кроме того, что разрешено, как говорится, "вручную ".
Начало
При инсталляции в виде модуля Apache
Безопасность баз данных
В общем случае, скрытие - самая слабая форма системы безопасности. Но в некоторых случаях необходима любая малость.
Пример 5-18. Скрытие PHP под видом другого языка
Пример 5-19. Использование неизвестных расширений для PHP
Пример 5-20. Использование расширений html для PHP
Пред.
Уровень выше
PHP - это мощный язык программирования и интерпретатор. Будучи интегрированным в виде модуля в Web-сервер, или выполняясь как оддельное CGI -приложение, он может обращаться к файлам, исполнять команды и открывать сетевые соединения на сервере. Эти особенности делают все, что выполняется на Web-сервере, небезопасным.
PHP специально разрабатывался для того, чтобы быть более безопасным языком для написания CGI-совместимых программ, нежели Perl или С, и, если правильно выставлены настройки компиляции и выполнения, а также при наличии достаточного опыта программирования, PHP даст вам необходимое соотношение гибкости и безопасности.
Гибкость настройки PHP конкурирует с гибкостью программирования.
PHP для создания серверных приложений со всеми возможностями рядового пользователя системы, или для простого включения файлов на стороне сервера, которое не представляет опасности в хорошо контролируемой системе. То, как построена система, и насколько она безопасна, практически полностью зависит от разработчика, использующего PHP.
Основные положения
Наилучший вариант обычно соответствует требованиям безопасности, но не мешает работе пользователей, а также не перегружает программный код излишней сложностью. Что касается сложности, то некоторые атаки как раз и являются следствием чрезмерного "наворачивания" защиты. Как известно, чем сложнее защита, тем больше в ней не совсем очевидных "дыр ".
Всегда необходимо помнить: система безопасности настолько хороша, насколько безопасно ее самое слабое место. Если, к примеру, ведутся отчеты по всем операциям, времени, месту и т.д., но проверка пользователей осуществляется с использованием одного cookie, то соответствие имен пользователей в отчетах с реальными пользователями весьма и весьма сомнительно.
При отладке помните, что невозможно предугадать все варианты развития событий даже для одной единственной странички. Ожидаемые входные данные могут отличать от введенных недобросовестным работником, хакером с многолетним стажем или просто кошкой, прошедшейся по клавиатуре. Поэтому всегда удобнее подходить к программе с точки зрения логики, чтобы проследить места возможного появления неожиданных данных, а также их использования.
Пред.
Еще одно средство PHP для повышения безопасности - конфигурация с использованием register_globals = off. Это отключает внедрение пользовательских переменных в среду переменных программы на PHP, сводя попытки внедрения злоумышленником нужных ему значений на нет. Опция полностью изолирует внутренние переменные от предоставляемых пользователем данных.
?php if( $_COOKIE['username']) {/ / может прийти только из записи cookie, нормальной или поддельной $good_login = 1; fpassthru (" / highly / sensitive / data / index.html");}?
?php if ($_COOKIE['username'] !$_POST['username'] !$_GET['username']) {/ / произвести проверку имени пользователя $good_login = 1; fpassthru (" / highly / sensitive / data / index.html");} else {mail("admin@example.com", "Возможна подмена данных ", $_SERVER['REMOTE_ADDR']); echo "Ошибка безопасности. Произведено оповещение администратора ."; exit;}?
Отчеты об ошибках
Данные, отправленные пользователем
Самые слабые места в большинстве программ на PHP не являются следствием проблем самого языка, напротив, они являются следствием написания этих программ без учета соображений безопасности. Поэтому вы всегда должны тратить некоторое время на продумывание ограничений тех или иных участков кода для снижения риска от некорректно заданных переменных.
?php / / удаление файла из пользовательского домашнего каталога... или из чьего-то еще? unlink ($evil_var); / / запись журнала доступа... или запись в / etc / passwd? fputs ($fp, $evil_var); / / исполнение чего-нибудь простенького.. или rm -rf *? system ($evil_var); exec ($evil_var);?
Будет ли эта программа использовать именно необходимые файлы?
Могут ли быть обработаны необычные или нежелательные данные?
Может ли эта программа использоваться нежелательным образом?
Может ли она использоваться в совокупности с другими программами для реализации злого умысла?
Будут ли должным образом записаны в журнал операции?
Пред.
Пример 43-1. simple stream example that displays the PHP home page
Stream open options - - Affects the operation of stream factory functions
Замечание:
Замечание:
Пред.
Замечание:
Уровень выше
Замечание:
Замечание:
Пред.
Замечание:
Пред.
Пред.
Пред.
Пред.
Пред.
Уровень выше
Пред.
Таблица 43-1.
Уровень выше
Пред.
Таблица 43-1. php_stream_make_seekable() return values
Замечание:
Замечание:
Замечание:
In many cases, this function can only succeed when origstream is a newly opened stream with no data buffered in the stream layer.
Пред.
Замечание:
Пред.
Замечание:
Пред.
Замечание:
Пред.
Пред.
struct php_stream_dirent - - Holds information about a single file during dir scanning
struct php_stream_statbuf - - Holds information about a file or URL
Пред.
Глава 2. Краткое руководство
Первая страница на PHP
Пример 2-1. Первый скрипт на PHP: hello.php
Эта программа выведет следующее:
Эта программа чрезвычайно проста, и для создания настолько простой странички даже необязательно использовать PHP. Все что она делает - это выводит "Привет! с использованием функции PHP echo().
Цель примера - показать формат специальных тегов PHP. В этом примере мы использовали ?php в качестве открывающего тега, затем шли команды PHP, завершающиеся закрывающим тегом?. Таким образом можно сколько угодно раз переходить к коду PHP в файле HTML.
Пара слов о текстовых редакторах: Существует множество текстовых редакторов и интегрированных сред разработки (IDE), в которых вы можете создавать и редактировать файлы PHP. Список некоторых редакторов содержится в разделе "Список редакторов PHP". Если вы хотите порекомендовать какой-либо редактор, посетите данную страницу и попросите добавить данный редактор в список.
Пара слов о текстовых процессорах: Текстовые процессоры (StarOffice Writer, Microsoft Word, Abiword и др.) в большинстве случаев не подходят для редактирования файлов PHP.
Если вы используете текстовый процессор для создания скриптов на PHP, вы должны быть уверены, что сохраняете файл, как ЧИСТО ТЕКСТОВЫЙ. В противном случае PHP не сможет обработать и выполнить вашу программу.
Можно поместить название файла в кавычки (пример: "hello.php").
Пред.
Одно из главнейших достоинств PHP - то, как он работает с формами HTML. Здесь основным является то, что каждый элемент формы автоматически станет доступен вашим программам на PHP. Для подробной информации об использовании форм в PHP читайте раздел "Переменные из внешних источников". Вот пример формы HTML:
Пример 2-6. Простейшая форма HTML
В этой форме нет ничего особенного. Это обычная форма HTML без каких-либо специальных тегов. Когда пользователь заполнит форму и нажмет кнопку отправки, будет вызвана страница action.php. В этом файле может быть что-то вроде:
Здравствуйте, ?php echo $_POST[ "name"];?. Вам ?php echo $_POST["age"];? лет.
Здраствуйте, Сергей. Вам 30 лет.
Пред.
В данном кратком руководстве на примерах объясняются основы PHP. Это руководство включает в себя только создание динамических Web-страниц с помощью PHP, однако реальная область применения PHP гораздо шире. В разделе "Что может PHP" приведена дополнительная информация.
Что потребуется?
Пред.
Сейчас PHP является популярным языком сценариев (скриптов). Становится все больше и больше распространяемых кусочков кода, которые вы можете использовать в своих скриптах. В большинстве случаев разработчики PHP старались сохранить совместимость с предыдущими версиями так, что код, написанный для более старой версии будет идеально работать и с новыми версиями языка без каких-либо изменений. Однако случается так, что изменения все-таки необходимы.
Есть два важных изменения, которые влияют на старые программы:
Объявление массивов $HTTP_*_VARS устаревшими. Эти массивы требовали глобализации в функциях и процедурах. Новые суперглобальные массивы были введены, начиная с PHP 4.1.0. Это: $_GET, $_POST, $_COOKIE, $_SERVER, $_ENV, $_REQUEST, и $_SESSION. Более старые массивы $HTTP_*_VARS, такие, как $HTTP_POST_VARS, существуют со времен PHP 3 и, вероятно, будут еще долго существовать для сохранения совместимости.
Пред.
Давайте сделаем что-нибудь полезное. К примеру, определим, какой браузер использует тот, кто смотрит в данный момент нашу страницу. Для этого мы проверим строку с именем браузера, посылаемую нам в HTTP-запросе. Эта информация хранится в переменной. Переменные в PHP всегда предваряются знаком доллара. Интересующая нас в данный момент переменная называется $_SERVER[ "HTTP_USER_AGENT"].
Для вывода данной переменной мы сделаем так:
Пример 2-2. Вывод значения переменной (элемента массива)
Пример вывода данной программы:
В PHP есть огромное количество типов переменных. В предыдущем примере мы печатали элемент массива. Массивы в PHP являются очень мощным средством.
$_SERVER - просто переменная, которая предоставлена вам языком PHP. Список таких переменных можно посмотреть в разделе "Зарезервированные переменные". А можно получить их полный список с помощью такой программы:
Пример 2-3. Показываем все стандартные переменные с помощью функции phpinfo()
Если открыть данный файл в браузере, вы увидите страничку с информацией о PHP, а также список всех доступных вам переменных.
Внутрь тегов PHP можно помещать множество команд и создавать кусочки кода, делающие гораздо большее, чем просто вывод на экран. К примеру, если мы хотим сделать проверку на Internet Explorer, мы можем поступить так:
Пример 2-4. Пример использования управляющих структур и функций
Пример вывода данной программы:
Здесь мы показали несколько новых элементов. Во-первых, здесь есть команда if. Если вам знаком основной синтаксис языка C, то вы уже заметили что-то схожее. Если же вы не знаете C или подобного по синтаксису языка, то лучший вариант - взять какую-либо книжку по PHP и прочитать ее. Другой вариант - почитать раздел "Описание языка" данного руководства. Список книг по PHP можно найти здесь: http: / /www.php.net / books.php.
Во-вторых, здесь есть вызов функции strstr(). strstr() - встроенная в PHP функция, которая ищет одну строку в другой. В данном случае мы ищем строку "MSIE "в $_SERVER["HTTP_USER_AGENT"]. Если строка не найдена, эта функция возвращает FALSE, если найдена - TRUE. Если она вернет TRUE, то условие в if окажется истинным, и код в командных скобках ({}) выполнится. В противном случае данный код не выполняется. Попробуйте создать аналогичные примеры с использованием команд if, else, и других функций, таких, как strtoupper() и strlen(). Также примеры содержатся во многих описаниях функций в данном руководстве.
Продемонстрируем, как можно входить в режим кода PHP и выходить из него прямо внутри кода:
Пример 2-5. Смешение режимов HTML и PHP
Пример вывода данной программы:
Вместо использования команды PHP echo для вывода, мы вышли из режима кода и послали содержимое HTML. Важный момент здесь - то, что логическая структура кода PHP при этом не теряется. Только одна HTML-часть будет послана клиенту в зависимости от результата функции strstr() (другими словами, в зависимости от того, найдена строка "MSIE "или нет).
Уровень выше
То, что вы узнали, поможет вам понять большую часть руководства и разобраться в большинстве приведенных примеров программ. Другие примеры находятся на различных сайтах, ссылки на которые можно найти на php.net: http: / /www.php.net / links.php.
Приложение I.
Compression Streams
Пред.
Пред.
Приложение I.
Замечание:
Замечание:
Пред.
Уровень выше
Пред.
Приложение I.
PHP input / output streams
Уровень выше
A set of macros was introduced into Zend' s API that simplify access to zval containers (see Табл. 42-1
Таблица 42-1.
Рисунок 32-2.
Пример 32-2.
For a description of both structures, see Табл. 32-2
Уровень выше
A very clever implementation of this can be found in the code handling PHP' s fsockopen() located in ext / standard / fsock.c, as shown in Прим. 32-1
Пред.
Пред.
The default config.m4 shown in Прим. 27-1
We 'll start with the creation of a very simple extension at first, which basically does nothing more than implement a function that returns the integer it receives as parameter. Прим. 28-1
Пример 28-1.
Замечание:
Compiling Modules
Пред.
Duplicating Variable Contents:
This might sound a bit confusing at first, but it' s not that complicated (see Рис. 24-1
For examples of these functions, see Прим. 36-2
As arguments, both take the number of columns (as integers) and the column contents (as strings). Прим. 36-1
Пример 36-1.
Рисунок 36-1.
These macros automatically set the correspondent type and value, as described in Табл. 35-1
Пред.
Уровень выше
Internally, zend_function_entry is defined as shown in Internally, zend_function_entry is defined as shown in Прим. 31-1
След.
You can see the internal definition of this module in You can see the internal definition of this module in Прим. 31-2
For reference purposes, you can find a list of the macros involved in declared startup and shutdown functions in For reference purposes, you can find a list of the macros involved in declared startup and shutdown functions in Табл. 31-3
Пред.
For a simple test procedure, you can copy it to your htdocs directory and try it with the source in Прим. 29-1
Calling this PHP file in your Web browser should give you the output shown in Рис. 29-1
To add new elements to the array, you can use numerous functions, depending on what you want to do. Табл. 33-1
Пример 33-3.
Пример 33-4.
Пред.
To create your own constants, you can use the macros in Табл. 33-6
Таблица 33-6.
This is somewhat bad practice, but Table This is somewhat bad practice, but Table Табл. 33-5
The corresponding type value for longs is IS_LONG (see The corresponding type value for longs is IS_LONG (see Прим. 33-2
Замечание:
